// (setq-c-offset 4)
// "clsFileSequence.cpp"

#ifndef _FILE_SEQUENCE_H
#define _FILE_SEQUENCE_H

#include "clsFSBase.h"

class FileSequence_cls : virtual public FSBase_cls{
public:
    FileSequence_cls();
    FileSequence_cls(wxString pathStr);
    
    // abc/def0000.ext mstrPath; (original)
    // abc/def         msFileHead; 
    // abc/def%03d.ext or abc/def%03d.%03d.ext mstrFormat; 
    wxString mstrPath; 
    wxString mstrFileHead;
    wxString mstrFormat; 
    wxString mstrExt;

    bool mbReadStatus;

    int mInit; //AԂ̍ŏ̐
    int mInterval;
    int mDigitLen; //AԂ̌
    int mSeqLen; // t@C

    void Set(const wxString pathStr, int initSeqNum, int seqInterval = 1);
    int SequenceFormatPos();
    void InitFormat(int initSeqNum);
    void SplitFormat(int pos);
    
    void CheckSingleFileValidity();
    bool CalcMaxOffset(bool bShowWarning = TRUE);

    int GetIndexClamp(int index);
    int GetIndexRepeat(int index);
    wxString GetFormat();
    wxString GetModifiedStr(int index, int stereo = 0, wxString strScript = wxEmptyString);
    
    void AppendDefaultSequenceTag();
};

class FileSeqSeq_cls {
};

#endif
