// (setq-c-offset 4)
// "clsFileSequenceDual.cpp"

#ifndef _FILE_SEQUENCE_DUAL_H
#define _FILE_SEQUENCE_DUAL_H

#include "clsFSBase.h"

class FileSequenceDual_cls : virtual public FSBase_cls{
 public:
    FileSequenceDual_cls();
    FileSequenceDual_cls(wxString pathStr);

    wxString mstrPathDual;
    wxString mstrFileHeadDual;
    wxString mstrFormatDual;
    wxString mstrExtDual;

    bool mbReadStatusDual;

    bool mbTFirst;
    int mInitT, mInitZ;
    int mIntervalT, mIntervalZ;
    int mDigitLenT, mDigitLenZ;
    int mSeqLenT, mSeqLenZ;

    void SetDual(const wxString pathStr,
		 int initSeqNumT, int initSeqNumZ, 
		 int seqIntervalT = 1, int seqIntervalZ = 1);
    int SequenceFormatPos(wxString strPath, int &digitLen, int &init);
    void InitFormat(int initSeqNumT, int initSeqNumZ, 
		    int posA, int digitLenA, int initA);
    bool CalcMaxOffsetZ(int frame, bool bShowWarning = TRUE);
    bool CalcMaxOffsetDual(bool bShowWarning = TRUE);

    void SplitFormat(int posFH, int posLH);
    
    wxString GetFormatDual();
    wxString GetModifiedStrDual(int indexT, int indexZ, int stereo = 0, wxString strScript = wxEmptyString);
};

#endif
