// (setq c-basic-offset 4)
// "clsGetPC.cpp"

#ifndef _GETPC_H_
#define _GETPC_H_

class ColorCurveProvider_cls;
class ColorProvider_cls;
class EnsembleCtrl_cls;
class FilterCtrl_cls;
class FrameMain_cls;
class GLExtentions_cls;
class GLInfo_cls;
class Halton_cls;
class IconProvider_cls;
class ImageComposer_cls;
class ImageOutput_cls;
class ImageIO_cls;
class LuaMiniCalc_cls;
class Main_cls;
class MousePreference_cls;
class MotionBlurCtrl_cls;
class ParamDialog_cls;
class ParamGroupDialog_cls;
class PenBrushProvider_cls;
class Preference_cls;
class Queue_cls;
class SceneObjCtrl_cls;
class ShaderCtrl_cls;
class ShadowVolumeCtrl_cls;
class Shortcut_cls;
class Stereogram_cls;
class SizeAdjuster_cls;
class StringProvider_cls;
class TextureProvider_cls;
class TextureProvider1D_cls;
class TimeCtrl_cls;
class UndoManager_cls;
class VBOSphere_cls;
class VBOHFProvider_cls;
class WideCamera_cls;
class wxFileDialogEX;
class wxColourDialogEX;

class GetPC_cls{
 public:
    ColorCurveProvider_cls* GetPCColorCurveProvider();
    ColorProvider_cls* GetPCColorProvider();
    EnsembleCtrl_cls* GetPCEnsembleCtrl();
    FilterCtrl_cls* GetPCFilterCtrl();
    FrameMain_cls* GetPCFrameMain(int index = 0);
    GLExtentions_cls* GetPCGLExtentions();
    GLInfo_cls* GetPCGLInfo();
    Halton_cls* GetPCHalton();
    IconProvider_cls* GetPCIconProvider();
    ImageComposer_cls* GetPCImageComposer();
    ImageOutput_cls* GetPCImageOutput();
    ImageIO_cls* GetPCImageIO();
    LuaMiniCalc_cls* GetPCLuaMinicalc();
    Main_cls* GetPCMain();
    MousePreference_cls* GetPCMousePreference();
    MotionBlurCtrl_cls* GetPCBlurCtrl();
    ParamDialog_cls* GetPCParamDialog();
    ParamGroupDialog_cls* GetPCParamGroupDialog();
    PenBrushProvider_cls* GetPCPenBrushProvider();
    Preference_cls* GetPCPreference();
    Queue_cls* GetPCQueue();
    SceneObjCtrl_cls* GetPCSceneObjCtrl();
    ShaderCtrl_cls* GetPCShaderCtrl();
    ShadowVolumeCtrl_cls* GetPCShadowVolumeCtrl();
    Shortcut_cls*          GetPCShortcut();
    Shortcut_cls*          GetPCTextShortcut();
    Stereogram_cls*        GetPCStereogram();
    SizeAdjuster_cls*      GetPCSizeAdjuster();
    StringProvider_cls*    GetPCStringProvider();
    TextureProvider_cls*   GetPCTextureProvider();
    TextureProvider1D_cls* GetPCTextureProvider1D();
    TimeCtrl_cls*          GetPCTimeCtrl();
    UndoManager_cls*       GetPCUndo();
    VBOHFProvider_cls*     GetPCVBOHFProvider();
    VBOSphere_cls*         GetPCVBOSphere();
    WideCamera_cls* GetPCWideCamera();
    wxFileDialogEX* GetPCFileDialog();
    wxColourDialogEX* GetPCColourDialog();
};

#endif
