
#ifndef _THREAD_COMMON_H_
#define _THREAD_COMMON_H_

#include <wx/wx.h>

class ThreadCommon_cls {
 public:
    static int msCPUCount;
    
    bool *GetNewPCbFinishList(int &threadNumber, int pNum, bool bLowPriority = FALSE);
    void GetIniAndFin(int &ini, int &fin, 
		      int core, int threadNumber, int PNum);

    static void WaitThreadsNOTDeleteFlag(bool *bAFinished, int threadNumber, int millisleep);
    static void WaitThreadsAndDeleteFlag(bool *bAFinished, int threadNumber, int millisleep);
};

class ThreadInstance_cls : public wxThread {
public:
    ThreadInstance_cls();

    bool *mpbFinishedFlagLink;
    int   mPIni, mPFin;

    bool CreateThread(bool *pbFinishedFlag, int PIni, int PFin);
};

#endif
