// (setq c-basic-offset 4
// "clsScene.cpp"

#ifndef _PARAM_DIALOG_H_
#define _PARAM_DIALOG_H_

#include "../CONFITEM/clsConfItem.h"
#include "../FILEIO/clsParser.h"
#include "../WIDGETCTRL/MULTIINPUT/clsHookCtrl.h"

#include "../COMMON/clsGetPC.h"

#include <wx/wx.h>

class DialogBase_cls;
class MultiInputPanel_cls;
class Parameter_cls;
class TimeCtrl_cls;
class wxWindow;

class ParamDialog_cls : public HookItem_cls, public Parser_cls, public GetPC_cls{
 public:
    ParamDialog_cls();

    DialogBase_cls *mpCDLG;
    MultiInputPanel_cls *mpCMNum;

    ConfItemINT_cls mCFrame;
    ConfItemFLOAT_cls mCValue, mCEaseFactor;
    ConfItemUINT_cls mCKeyType;
    
    int mIndexEaseFactor;
    wxPoint mCPos;
    
    void OpenWindow(wxWindow *pCParent, Parameter_cls *pCParam, int keyIndex,
		    wxString strItem);
    void HideAndShow();

    void HookFunc01(wxCommandEvent& event){OnCombo(event);}
    void OnCombo(wxCommandEvent& event);
};

#endif
