// (setq-c-offset 4)
// "clsExposure.cpp"

#ifndef _EXPOSURE_H
#define _EXPOSURE_H

#include "clsFilterBase.h"

#include <vector>

class ExposureBuffer_cls;
class MultiInputPanel_cls;

class Exposure_cls : public FilterBase_cls {
public:
    Exposure_cls(wxString strName);

    void SyncFromBuffer(ExposureBuffer_cls *pCBuffer);

    void Begin();
    void End();
};

class ExposureBuffer_cls : public FilterBase_cls {
public:
    ExposureBuffer_cls(Exposure_cls *pCSrc);

    Exposure_cls *mpCSrc;

    ConfItemFLOATARRAY_cls mCLevel;
    ConfItemFLOAT_cls mCGamma;
    ConfItemFLOAT_cls mCHue;
    ConfItemFLOAT_cls mCSaturation;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer();
};

#endif
