// "clsFilterDepth.cpp"

#ifndef _FILTER_DEPTH_H
#define _FILTER_DEPTH_H

#include "clsFilterBase.h"

#include "../MYGL/clsPosition.h"

#include <vector>

class Camera_cls;
class FBO_cls;
class FilterDepthBuffer_cls;
class MultiInputPanel_cls;

class FilterDepth_cls : public FilterBase_cls {
public:
    FilterDepth_cls(wxString strName);

    void SyncFromBuffer(FilterDepthBuffer_cls *pCBuffer);

    void Begin(FBO_cls *pCFBO);
    void End();
};

class FilterDepthBuffer_cls : public FilterBase_cls {
public:
    FilterDepthBuffer_cls(FilterDepth_cls *pCSrc);

    FilterDepth_cls *mpCSrc;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer();
};

#endif

