// "clsFocalBlur.cpp"

#ifndef _FOCAL_BLUR_H
#define _FOCAL_BLUR_H

#include "clsFilterBase.h"

#include "../MYGL/clsPosition.h"

#include <vector>

class Camera_cls;
class FBO_cls;
class FocalBlurBuffer_cls;
class MultiInputPanel_cls;

class FocalBlur_cls : public FilterBase_cls {
public:
    FocalBlur_cls(wxString strName);

    ConfItemINT_cls mCQuality;
    ConfItemUINT_cls mCType;
    ConfItemBOOL_cls mCbUseGamma;

    void SyncFromBuffer(FocalBlurBuffer_cls *pCBuffer);
    
    //unsigned int GetIterNum();
    //void BeginExposure();
    void Begin(FBO_cls *pCFBO, PositionAndDirection_cls CCameraPos,
	       Camera_cls *pCCamera, double NT);
    void End();
};

class FocalBlurBuffer_cls : public FilterBase_cls {
public:
    FocalBlurBuffer_cls(FocalBlur_cls *pCSrc);
    
    FocalBlur_cls *mpCSrc;

    ConfItemINT_cls mCQuality;
    ConfItemUINT_cls mCType;
    ConfItemBOOL_cls mCbUseGamma;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer();
};

#endif
