// (setq-c-offset 4)
// "clsExposure.cpp"

#ifndef _REMOVE_ALPHA_H
#define _REMOVE_ALPHA_H

#include "clsFilterBase.h"

#include <vector>

class RemoveAlphaBuffer_cls;
class MultiInputPanel_cls;

class RemoveAlpha_cls : public FilterBase_cls {
 public:
    RemoveAlpha_cls(wxString strName);

    void SyncFromBuffer(RemoveAlphaBuffer_cls *pCBuffer);

    ConfItemBOOL_cls mCbExtremeAlpha;
    ConfItemBOOL_cls mCbConvert;
    ConfItemBOOL_cls mCbBackgroundTile;

    void Begin();
    void End();
};

class RemoveAlphaBuffer_cls : public FilterBase_cls {
 public:
    RemoveAlphaBuffer_cls(RemoveAlpha_cls *pCSrc);

    RemoveAlpha_cls *mpCSrc;

    ConfItemBOOL_cls mCbExtremeAlpha;
    ConfItemBOOL_cls mCbConvert;
    ConfItemBOOL_cls mCbBackgroundTile;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer();
};

#endif
