// (setq c-basic-offset 4)
// "clsGLAttribute.h"
 
#include "clsGLAttribute.h"

GLAttribute_cls::
GLAttribute_cls(bool bStereoBuffer){
    mbStereoBuffer = FALSE;
}

bool GLAttribute_cls::
SupportCheck(){
    
#ifdef WIN32
    mstrAttribute.Clear();
    mCGLAttribute.Reset();
    bool bOk;

    if (mbStereoBuffer == TRUE){
	mCGLAttribute.PlatformDefaults().Stencil(1).DoubleBuffer().Depth(32).Stereo().EndList();
	mstrAttribute << wxT("PlatformDefault::Stencil1::Depth32::Stereo");
	
	bOk = wxGLCanvas::IsDisplaySupported(mCGLAttribute);
	if (bOk == TRUE) return TRUE;
	
	mstrAttribute.Clear();
	mCGLAttribute.Reset();
	mCGLAttribute.PlatformDefaults().Stencil(1).DoubleBuffer().Depth(24).Stereo().EndList();
	mstrAttribute << wxT("PlatformDefault::Stencil1::Depth24::Stereo");

	bOk = wxGLCanvas::IsDisplaySupported(mCGLAttribute);
	if (bOk == TRUE) return TRUE;
    }

    mCGLAttribute.PlatformDefaults().Stencil(1).DoubleBuffer().Depth(32).EndList();
    mstrAttribute << wxT("PlatformDefault::Stencil1::Depth32");
    
    bOk = wxGLCanvas::IsDisplaySupported(mCGLAttribute);
    if (bOk == TRUE) return TRUE;

    mstrAttribute.Clear();
    mCGLAttribute.Reset();
    mCGLAttribute.PlatformDefaults().Stencil(1).DoubleBuffer().Depth(24).EndList();
    mstrAttribute << wxT("PlatformDefault::Stencil1::Depth24");

    bOk = wxGLCanvas::IsDisplaySupported(mCGLAttribute);
    if (bOk == TRUE) return TRUE;

    mstrAttribute.Clear();
    mCGLAttribute.Reset();
    mCGLAttribute.PlatformDefaults().Stencil(1).DoubleBuffer().EndList();
    mstrAttribute << wxT("PlatformDefault::Stencil1");

    bOk = wxGLCanvas::IsDisplaySupported(mCGLAttribute);
    if (bOk == TRUE) return TRUE;

    return FALSE;
#endif
    return TRUE;
}
