// "clsGLCamera.h"
// (setq c-basic-offset 4)

#include "clsGLCamera.h"

#include "../PREFERENCE/clsMousePreference.h"

#include "../COMMON/CommonDefinitions.h"

#define CLS GLCamera_cls

void CLS::
CopyPosition(PositionAndDirection_cls& CPos){
    LOOP_XYZ mPos[xyz] = CPos.mPos[xyz];
    LOOP_XYZ mTgt[xyz] = CPos.mTgt[xyz];
    LOOP_XYZ mTop[xyz] = CPos.mTop[xyz];
    LOOP_XYZ mRgt[xyz] = CPos.mRgt[xyz];
}

bool CLS::
Gyration(MouseNormalized_cls& CMP, double modAspectX, double modAspectY){
    if (GetPCMousePreference()->mCbGyrationInvert.GetBodyBOOL() == TRUE) 
	CMP.Invert();

    TrackBall(CMP.mCurrX, CMP.mCurrY, 
	      CMP.GetDX()*modAspectX, CMP.GetDY()*modAspectY);
    
    return TRUE;
}

/*
bool CLS::
MoveCenter(MouseNormalized_cls& CMP){

    Translate(CMP.mCurrX-CMP.mPrevX, CMP.mCurrY-CMP.mPrevY);

    return TRUE;
}
*/

bool CLS::
Zoom(MouseNormalized_cls& CMP){
    if (GetPCMousePreference()->mCbZoomInvert.GetBodyBOOL() == TRUE) 
	CMP.Invert();
    
    PositionAndDirection_cls::Zoom(CMP.GetDX(), CMP.GetDY());

    return TRUE;
}

bool CLS::
ZoomWheel(float wheelRotation){
    
    PositionAndDirection_cls::Zoom(wheelRotation, 0);

    return TRUE;
}
