// -*- c -*-
// "clsGLCanvas.cpp"
//(setq c-basic-offset 4)

#ifndef _MAIN_GL_CAMERA_H_
#define _MAIN_GL_CAMERA_H_

#include "../COMMON/clsGetPC.h"
#include "../MYGL/clsPosition.h"
#include "../INPUTMETHOD/clsMouseCtrl.h"

class GLCamera_cls : public PositionAndDirection_cls, public GetPC_cls{
 public:
   
    void CopyPosition(PositionAndDirection_cls &CPos);
    bool Gyration(MouseNormalized_cls &CMP, 
		  double modAspectX, double modAspectY);
    //bool MoveCenter(MouseNormalized_cls &CMP);
    bool Zoom(MouseNormalized_cls &CMP);
    bool ZoomWheel(float wheelRotation);
};

#endif
