// (setq c-basic-offset 4)
// "clsGLNumecalPanel.cpp"

#ifndef _GL_NUMERICAL_PANEL_
#define _GL_NUMERICAL_PANEL_

#include "../WIDGETCTRL/clsWidgetCommon.h"
#include "../WIDGETCTRL/MULTIINPUT/clsMNumPainBase.h"
#include "../WIDGETCTRL/MULTIINPUT/clsHookCtrl.h"

class HideAndShowButton_cls;
class MultiInputPanel_cls;
class View3D_cls;

class GLNumericalPanel_cls : public MNumPainBase_cls, public HookItem_cls, public WidgetCommon_cls {
public:
    GLNumericalPanel_cls(View3D_cls *pCParent, wxSize& size);
    //~GLNumericalPanel_cls();

    View3D_cls *mpCParent;
    MultiInputPanel_cls *mpCMNumViewPos, *mpCMNumActiveObj, *mpCMNumDisplay;
    MultiInputPanel_cls *mpCMNumFollow;

    wxArrayString mAstrClosedItem;
    
    int mIndexAngleL, mIndexSizeOrthoL;
    int mIndexPivotPos;
    int mIndexAOPos, mIndexAORot, mIndexAOScale;
    int mIndexCameraName, mIndexLock;
    int mIndexCameraType, mIndex1stBuffer;
    
    void SetMNumViewPos();
    void SetMNumActiveObj();
    void SetMNumFollow();
    void SetMNumDisplay();

    void HideAndShow();

    void HookFunc01(wxCommandEvent& event){OnViewChange(event);}
    void HookFunc02(wxCommandEvent& event){OnActiveObjChange(event);}
    void OnViewChange(wxCommandEvent& event);
    void OnActiveObjChange(wxCommandEvent& event);
};

#endif
