// -*- c -*-
// "clsVBOCone.cpp"
// (setq c-basic-offset 4)

#ifndef _VBO_CYLINDER_H_
#define _VBO_CYLINDER_H_

#include "clsVBOCommon.h"
#include "clsVBOBaseObject.h"

class VBOBaseObject_cls;

class VBOCylinder_cls : public VBOCommon_cls {
public:
    VBOCylinder_cls();

    VBOBaseObject_cls mCObject;//, mCShadowVolume;

    void Initialize();
    void Draw(int objectState, int mapType);

    // ---

    int GetTotalVertex(int face);
    int GetTotalTriangle(int face);

    void ConstructTriangles(float (*pVertex)[3], float (*pNormal)[3], 
			    float (*pUValongX)[2], float (*pUValongY)[2], 
			    float (*pUValongZ)[2], float (*pUVUV)[2],
			    unsigned int *pIndiceTriangle, int face);
    
    void SetGeometry(VBOBaseObject_cls *pCTgt);
    //void SetShadowGeometry(VBOBaseObject_cls *pCTgt);
};

#endif

