// -*- c -*-
// "clsVBOPlane.cpp"
// (setq c-basic-offset 4)

#ifndef _VBO_PLANE_H_
#define _VBO_PLANE_H_

#include "clsVBOCommon.h"
#include "clsVBOBaseObject.h"

class VBOBaseObject_cls;

class VBOPlane_cls : public VBOCommon_cls {
public:
    VBOPlane_cls();

    VBOBaseObject_cls mCObject;//, mCShadowVolume;

    void Initialize();
    void Draw(int objectState, int mapType);

    // ---

    int GetTotalVertex(int face);
    int GetTotalTriangle(int face);

    void ConstructTriangles(float (*pVertex)[3], float (*pNormal)[3], 
			    unsigned int *pIndiceTriangle);
    void ConstructUV(float (*pUV)[2]);
    
    void SetGeometry(VBOBaseObject_cls *pCTgt);
    //void SetShadowGeometry(VBOBaseObject_cls *pCTgt);
};

#endif

