// -*- c -*-
// "clsVBOWireObject.cpp"
// (setq c-basic-offset 4)

#ifndef _VBO_WIRE_OBJECT_H_
#define _VBO_WIRE_OBJECT_H_

#include "../COMMON/CommonDefinitionsForH.h"

class VBOWireObject_cls{
 public:
    VBOWireObject_cls();
    ~VBOWireObject_cls();

    unsigned int mVBOVertex;
    unsigned int mVBOIndicesLine;

    int mTotalIndiceLine;
    
    void Clear();
    void DeleteVBOIfGenerated(unsigned int &VBO);
    void GenBuffers();

    void MakeVBO(float (*pVertex)[3], int totalVertex);

    void PrepareClientState();
    void Draw(bool bPrepareClientState = TRUE);

    static void FinishClientState();
};

#endif
