// -*- c++ -*-
// "clsGraphEditoreTics.cpp"

#ifndef _GL_GRAPH_EDITOR_TICS_H
#define _GL_GRAPH_EDITOR_TICS_H

#include "clsTics.h"

#include "../TIMELINE/clsTimelineBase.h"
#include "../WIDGETCTRL/clsWidgetCommon.h"

//class GraphEditor_cls;
class EditorBase_cls;
class MouseCtrl_cls;

class GraphEditorTics_cls : public Tics_cls, public TimelineBase_cls {
 public:

    GraphEditorTics_cls(EditorBase_cls *pCParent, bool bVertical = false);
    ~GraphEditorTics_cls();

    EditorBase_cls *mpCParent;
    MouseCtrl_cls *mpCMouseCtrl;
    
    bool mbLocked;

    void ProcessZoom(float rate);
    void UpdateDisplaySetting();

    void OnPaint(wxPaintEvent& event);
    void OnMouse(wxMouseEvent& event);
    void OnMouseDown(wxMouseEvent& event);
    void OnMouseUp(wxMouseEvent& event);
 private:
    DECLARE_EVENT_TABLE();
};

#endif
