// -*- c -*-
// "clsImageOutput.cpp"
// (setq c-basic-offset 4)

#ifndef _IMAGE_OUTPUT_H_
#define _IMAGE_OUTPUT_H_

#define _IMAGE_PNG 0
#define _IMAGE_JPG 1

#include "../COMMON/clsFileSequence.h"
#include "../CONFITEM/clsConfItem.h"
#include "../CONFITEM/clsConfListContainer.h"

class ImageOutput_cls : public ConfListContainer_cls{
 public:
    ImageOutput_cls();

    void SetToDefaultParam();
    
    ConfItemUINT_cls mCImageType;
    ConfItemUINT_cls mCImageAlpha;
    ConfItemUINT_cls mCStereoOutput;
    ConfItemSTR_cls mCstrFileFormat;
    ConfItemINT_cls mCWidth, mCHeight;
    ConfItemUINT_cls mCSizeType, mCSizeIndex;
    ConfItemBOOL_cls mCbRenderFromWorkAreaIn;

    FileSequence_cls mCFileSequence;

    double GetAspectRatioWonH();
    bool CheckFileSequence();
    wxString GetModifiedStr(int index, int stereo);
    wxSize GetSize();
};

#endif
