// (setq c-basic-offset 4)

#include "clsImgSizeTemplate.h"

#include "../COMMON/CommonDefinitions.h"

ImgSizeTemplate_cls::
ImgSizeTemplate_cls(){
    //mGeometryTemplate = 0;
    
    mGeomWidth[0][0] = -1; mGeomHeight[0][0] = -1;
    mGeomWidth[0][1] = 1024; mGeomHeight[0][1] = 768;
    mGeomWidth[0][2] = 1600; mGeomHeight[0][2] = 1200;
    mGeomWidth[0][3] = 1920; mGeomHeight[0][3] = 1440;
    mGeomWidth[0][4] = 800; mGeomHeight[0][4] = 600;
    mGeomWidth[0][5] = 640; mGeomHeight[0][5] = 480;
    mGeomWidth[0][6] = 320; mGeomHeight[0][6] = 240;

    mGeomWidth[1][0] = -1; mGeomHeight[1][0] = -1;
    mGeomWidth[1][1] = 1920; mGeomHeight[1][1] = 1080;
    mGeomWidth[1][2] = 3840; mGeomHeight[1][2] = 2160;
    mGeomWidth[1][3] = 7680; mGeomHeight[1][3] = 4320;
    mGeomWidth[1][4] = 1366; mGeomHeight[1][4] = 768;
    mGeomWidth[1][5] = 960; mGeomHeight[1][5] = 540;
    mGeomWidth[1][6] = 640; mGeomHeight[1][6] = 360;
    
    mGeomWidth[2][0] = -1; mGeomHeight[2][0] = -1;
    mGeomWidth[2][1] = 1024; mGeomHeight[2][1] = 1024;
    mGeomWidth[2][2] = 1536; mGeomHeight[2][2] = 1536;
    mGeomWidth[2][3] = 2048; mGeomHeight[2][3] = 2048;
    mGeomWidth[2][4] = 4096; mGeomHeight[2][4] = 4096;
    mGeomWidth[2][5] = 768; mGeomHeight[2][5] = 768;
    mGeomWidth[2][6] = 512; mGeomHeight[2][6] = 512;

    mGeomWidth[3][0] = -1; mGeomHeight[3][0] = -1;
    mGeomWidth[3][1] = 2048; mGeomHeight[3][1] = 1024;
    mGeomWidth[3][2] = 3072; mGeomHeight[3][2] = 1536;
    mGeomWidth[3][3] = 4096; mGeomHeight[3][3] = 2048;
    mGeomWidth[3][4] = 1536; mGeomHeight[3][4] = 768;
    mGeomWidth[3][5] = 1024; mGeomHeight[3][5] = 512;
    mGeomWidth[3][6] = 512; mGeomHeight[3][6] = 256;
}

wxString ImgSizeTemplate_cls::
GetStrGeom(int type, int index){
    if (index == 0) return _("Custom");
    wxString str;
    str << mGeomWidth[type][index] << wxT("x") << mGeomHeight[type][index];
    return str;
}

void ImgSizeTemplate_cls::
GetGeometryFromIndex(int type, int index, long long &width, long long &height){
    if (index!= 0){
	width = mGeomWidth[type][index];
	height = mGeomHeight[type][index];
    }
}

/*
void ImgSizeTemplate_cls::
SetIndexFromGeometry(int width, int height){
    mGeometryTemplate = 0;
    for (int i = 0; i < _IMG_SIZE_MAX; i++){
	if (mGeomWidth[i] == width && mGeomHeight[i] == height)
	    mGeometryTemplate = i;
    }
}
*/
