// -*- c++ -*- 
// "clsClickInfoCtrl.cpp"
// (setq c-basic-offset 4)

#ifndef _CLICK_INFO_CTRL_H_
#define _CLICK_INFO_CTRL_H_

#include "../COMMON/clsGetPC.h"

#include <wx/wx.h>

class ClickInfoCtrl_cls {
public:
    ClickInfoCtrl_cls();

    int mMouseXAtDown, mMouseYAtDown;
    int mMouseXCurrent, mMouseYCurrent;
    int mMouseXPrev, mMouseYPrev;

    bool mbDraggingRegion;
    wxRect mCRectSelectRegion;

    bool mbShiftDown, mbControlDown, mbAltDown;

    wxPoint GetPointAtDown();
    void DrawDraggingRegion(wxDC &dc, wxRect CIntersect = wxRect());
    void LeftDownBase(wxMouseEvent& event);
};

#endif
