// (setq c-basic-offset 4)
// "clsSelectorPopup.cpp"

#ifndef _SELECTOR_POPUP_H_
#define _SELECTOR_POPUP_H_

#include "../COMMON/clsGetPC.h"
#include "../COMMON/CommonDefinitionsWX.h"

#include <wx/wx.h>

class SelectorPopup_cls : public GetPC_cls {
public:
    SelectorPopup_cls();

    wxWindow *mpCParent;
    wxPoint mCPos;
    int mMenuOffset;
    int mDepth;
    int mType; //0: object 1:ParamGroup 2:ColorCurve
    wxString mstrTag;

    wxArrayString mAstrListShort;
    wxArrayString mAstrListLong;

    wxString GetChildStr(int id);
    wxString GetStr(int id);
    bool IsDelimiterTail(wxString str);
    void ChildMenu(wxString strTag);
    void ChildMenuColorCurve(wxString strTag);
    void NextMenu();
    void ConstructMenu(wxMenu *pCMenu);
    void ShowPopupMenu(wxWindow *pCParent);
    void ClearState();
    void NoItem();
    void PopupObjectSelectorFiltered(wxWindow *pCParent, 
				     std::vector < wxString > VstrFilter,
				     wxString strTag = wxES,
				     wxString strException = wxES);
    /*
    void PopupObjectSelectorVolume(wxWindow *pCParent, wxString strTag = wxES,
				   wxString strException = wxES);
    void PopupObjectSelectorParticle(wxWindow *pCParent, wxString strTag = wxES,
				     wxString strException = wxES);
    */
    void PopupObjectSelector(wxWindow *pCParent, wxString strTag = wxES,
			     wxString strType = wxES, wxString strException = wxES);
    //void PopupCameraSelector(wxWindow *pCParent, wxString strTag = wxES);
    //void PopupVolumeSelector(wxWindow *pCParent, wxString strTag = wxES);
    
    void PopupParamGroupSelector(wxWindow *pCParent);
    void PopupColorCurveSelector(wxWindow *pCParent);
};

#endif

