// (setq-c-offset 4)
// "clsMaterialBase.h"

#include "clsMaterialBase.h"

#include "../GLSL/clsShaderCtrl.h"
#include "../MYGL/clsGLExtention.h"

#include "../COMMON/CommonDefinitions.h"

#include "../../wxWidgetEnum.h"

#define CLS MaterialBase_cls

CLS::
MaterialBase_cls(wxString strName, wxString strClassName) : Attribute_cls(strClassName, "Material") {
        
    wxString strConfListLabel = "SceneObj::";  
    strConfListLabel << strName << "::Material";
	
    wxString strUpdate = "VIEW3D::PROPERTY_MATERIAL";
    
    mCConfList.SetTag(strConfListLabel);

    MaterialOption_cls::AddItemToConfList(mCConfList, strUpdate);
    MaterialTexture_cls::AddItemToConfList(mCConfList, strUpdate);
}

