// (setq c-basic-offset 4)
// "clsLuaBase.cpp"

#ifndef _LUA_BASE_H_
#define _LUA_BASE_H_

#include "../FILEIO/clsParser.h"

#include <vector>

extern "C" {
#include "lua.h"
#include "lualib.h"
#include "lauxlib.h"
}

class LuaBase_cls : virtual public Parser_cls {
 public:
    LuaBase_cls(const LuaBase_cls& obj); //Rs[RXgN^
    static wxString msstrErr;

    lua_State *mpLua;
    
    LuaBase_cls();
    ~LuaBase_cls();

    static bool IsWordExist(wxString strFunction, wxString strWord);

    static int l_my_print(lua_State* L);

    void OpenLuaBase(wxString strFunction, int libNum, wxArrayString AstrLibraryName, luaL_Reg* CLibTables[]);
    void CloseLuaBase();
    void ClearLuaStack();
    void COutErrorMessage();
    void SetVariable(double value, char *pCharTag);
    void SetVariable(int value, char *pCharTag);
    static void SetVariable(lua_State *pLua, double value, char *pcharTag);
    static void SetVariable(lua_State *pLua, int value, char *pcharTag);
    static void CheckErrorMessage(lua_State *pLua, wxString strTag);
};

#endif
