// (setq c-basic-offset 4)
// "clsOutliner.cpp"

#include "clsMisc.h"

#include <math.h>

void Misc_cls::
Swap(int *pValue1, int *pValue2){
    int tmp = *pValue1;
    *pValue1 = *pValue2;
    *pValue2 = tmp;
}

void Misc_cls::
Swap(long long int &value1, long long int &value2){
    long long int tmp = value1;
    value1 = value2;
    value2 = tmp;
}

bool Misc_cls::
DoesExistInArray(wxArrayString& Astr, const wxString& strItem){
    int num = Astr.GetCount();
    for (int i = 0; i < num; i++)
	if (Astr[i].IsSameAs(strItem)) return TRUE;
    return FALSE;
}

int Misc_cls::
Round(double value, int type){
    switch(type){
    case _MISC_ROUND_ROUND:
	return (int)floor(value+0.5);
    case _MISC_ROUND_DOWN:
	return (int)floor(value);
    case _MISC_ROUND_UP:
	return (int)ceil(value);
    }
    return 0;
}

double Misc_cls::
Max(double value1, double value2){
    if (value1 > value2) return value1;
    return value2;
}

double Misc_cls::
Min(double value1, double value2){
    if (value1 < value2) return value1;
    return value2;
}

bool Misc_cls::
IsNearlySame(double value1, double value2, double delta){
    if ((value1 > (value2 - delta)) && (value1 < value2 + delta))
	return TRUE;
    return FALSE;
}

bool Misc_cls::
IsNearlySame(float value1, float value2, float delta){
    if ((value1 > (value2 - delta)) && (value1 < value2 + delta))
	return TRUE;
    return FALSE;
}

int Misc_cls::
Surplus(int value1, int value2){
    if (value2 == 0) value2 = 1;
    if (value1 >= 0) return value1 % value2;
    return (value1 % value2) + value2;
}
