// (setq c-basic-offset 4)
// "clsOutliner.cpp"

#ifndef _MISC_H_
#define _MISC_H_

#include <wx/wx.h>

#define _MISC_ROUND_ROUND 0
#define _MISC_ROUND_DOWN  1
#define _MISC_ROUND_UP    2

class Misc_cls{
public:
    static void Swap(int *pValue1, int *pValue2);
    static void Swap(long long int &value1, long long int &value2);
    static bool DoesExistInArray(wxArrayString& Astr, const wxString& strItem);
    static int  Round(double value, int type = _MISC_ROUND_ROUND);
    static double Max(double value1, double value2);
    static double Min(double value1, double value2);
    static bool IsNearlySame(double value1, double value2, double delta);
    static bool IsNearlySame(float value1, float value2, float delta);
    
    // ̏]p֐ value1 ͕蓾 value2 ͐Ƃ
    static int Surplus(int value1, int value2);
};

#endif 
