// (setq-c-offset 4)
// "clsNestetVolume.cpp"

#ifndef _NESTED_VOLUME_H
#define _NESTED_VOLUME_H

#include "clsModifierBase.h"

class MultiInputPanel_cls;
class NestedVolumeBuffer_cls;

class NestedVolume_cls : public ModifierBase_cls {
 public:
    NestedVolume_cls(wxString strName, wxString strObjName);

    ConfItemSTR_cls  mCstrTarget;

    void SyncFromBuffer(NestedVolumeBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
    void SelectObject(wxString strObjName);
};

class NestedVolumeBuffer_cls : public ModifierBase_cls {
 public:
    NestedVolumeBuffer_cls(NestedVolume_cls *pCSrc);

    NestedVolume_cls *mpCSrc;

    ConfItemSTR_cls  mCstrTarget;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

#endif
