// (setq-c-offset 4)
// "clsParticleDownsize.cpp"

#ifndef _PARTICLE_DOWNSIZING_H
#define _PARTICLE_DOWNSIZING_H

#include "clsModifierBase.h"

class ParticleDownsizingBuffer_cls;
class MultiInputPanel_cls;

class ParticleDownsizing_cls : public ModifierBase_cls {
 public:
    ParticleDownsizing_cls(wxString strName, wxString strObjName);
    
    ConfItemUINT_cls mCDownsizeType;
    ConfItemINT_cls  mCDownsize;

    void SyncFromBuffer(ParticleDownsizingBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
};

class ParticleDownsizingBuffer_cls : public ModifierBase_cls {
 public:
 public:
    ParticleDownsizingBuffer_cls(ParticleDownsizing_cls *pCSrc);

    ParticleDownsizing_cls *mpCSrc;

    ConfItemUINT_cls mCDownsizeType;
    ConfItemINT_cls  mCDownsize;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

#endif
