// (setq-c-offset 4)
// "clsParticleDownsize.cpp"

#ifndef _PARTICLE_EXCLUDE_H
#define _PARTICLE_EXCLUDE_H

#include "clsModifierBase.h"

class Particle_cls;
class ParticleForRender_cls;
class ParticleExcludeBuffer_cls;
class MultiInputPanel_cls;

class ParticleExclude_cls : public ModifierBase_cls {
 public:
    ParticleExclude_cls(wxString strName, wxString strObjName);
    
    ConfItemSTR_cls  mCstrTarget;

    void SyncFromBuffer(ParticleExcludeBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
};

class ParticleExcludeBuffer_cls : public ModifierBase_cls {
 public:
    ParticleExcludeBuffer_cls(ParticleExclude_cls *pCSrc);

    ParticleExclude_cls *mpCSrc;

    ConfItemSTR_cls  mCstrTarget;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

class ParticleExcludeExe_cls {
public:
    ParticleExcludeExe_cls(AttributeClone_cls* pCSrc, ParticleForRender_cls *pCTo, ParticleForRender_cls* pCFrom);

    ParticleForRender_cls *mpCTo, *mpCFrom;

    void Execute();
    void ExecuteID();
    void ExecuteIDLongLong();
};

#endif
