// (setq-c-offset 4)
// "clsParticleDownsize.cpp"

#ifndef _PARTICLE_MERGE_H
#define _PARTICLE_MERGE_H

#include "clsModifierBase.h"

class Particle_cls;
class ParticleForRender_cls;
class ParticleMergeBuffer_cls;
class MultiInputPanel_cls;

class ParticleMerge_cls : public ModifierBase_cls {
 public:
    ParticleMerge_cls(wxString strName, wxString strObjName);
    
    ConfItemSTR_cls  mCstrTarget;

    void SyncFromBuffer(ParticleMergeBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
    void SelectObject(wxString strObjName);
};

class ParticleMergeBuffer_cls : public ModifierBase_cls {
 public:
    ParticleMergeBuffer_cls(ParticleMerge_cls *pCSrc);

    ParticleMerge_cls *mpCSrc;

    ConfItemSTR_cls  mCstrTarget;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

class ParticleMergeExe_cls {
public:
    ParticleMergeExe_cls(AttributeClone_cls* pCSrc, ParticleForRender_cls *pCTo, ParticleForRender_cls* pCFrom);

    ParticleForRender_cls *mpCTo, *mpCFrom;

    void Execute();
};

#endif
