// (setq-c-offset 4)
// "clsParticleTweak.cpp"

#ifndef _PARTICLE_TWEAK_H
#define _PARTICLE_TWEAK_H

#include "clsModifierBase.h"

class ParticleTweakBuffer_cls;
class MultiInputPanel_cls;

class ParticleTweak_cls : public ModifierBase_cls {
 public:
    ParticleTweak_cls(wxString strName, wxString strObjName);
    
    //ConfItemUINT_cls mCTweakType;
    //ConfItemINT_cls  mCTweak;
    ConfItemUINT_cls mCBillboardFocusRotOrder;
    ConfItemBOOL_cls mCbStoreValue;
    ConfItemBOOL_cls mCbStoreIDLongLong;

    void SyncFromBuffer(ParticleTweakBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
    
    void GetBillboartFocus(float &yaw, float &pitch, float &row, int &rotOrder);
};

class ParticleTweakBuffer_cls : public ModifierBase_cls {
 public:
 public:
    ParticleTweakBuffer_cls(ParticleTweak_cls *pCSrc);

    ParticleTweak_cls *mpCSrc;

    //ConfItemUINT_cls mCTweakType;
    //ConfItemINT_cls  mCTweak;
    ConfItemFLOAT_cls mCBillboardFocusYaw;
    ConfItemFLOAT_cls mCBillboardFocusPitch;
    ConfItemFLOAT_cls mCBillboardFocusRaw;

    ConfItemUINT_cls mCBillboardFocusRotOrder;
    ConfItemBOOL_cls mCbStoreValue;
    ConfItemBOOL_cls mCbStoreIDLongLong;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};


#endif
