// (setq-c-offset 4)
// "clsSequenceRemap.cpp"

#ifndef _SEQUENCE_REMAP_H
#define _SEQUENCE_REMAP_H

#include "clsModifierBase.h"

class SequenceRemapBuffer_cls;
class SceneObj_cls;
class MultiInputPanel_cls;

class SequenceRemap_cls : public ModifierBase_cls {
 public:
    SequenceRemap_cls(wxString strName, wxString strObjName);

    ConfItemBOOL_cls mCbClamp;
    ConfItemBOOL_cls mCbRepeat;
    
    int GetRemappedFrame(double NT, int frame, int seqLen = -1);
    double GetInterpFactor(double NT, int frame, double interpFactor);
    void SyncFromBuffer(SequenceRemapBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
};

class SequenceRemapBuffer_cls : public ModifierBase_cls {
 public:
    SequenceRemapBuffer_cls(SequenceRemap_cls *pCSrc);

    SequenceRemap_cls *mpCSrc;

    ConfItemBOOL_cls mCbClamp;
    ConfItemBOOL_cls mCbRepeat;
    ConfItemFLOAT_cls mCRemap;
    
    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

#endif
