// (setq-c-offset 4)
// "clsStreamFiltering.cpp"

#ifndef _STREAM_SETALPHA_H
#define _STREAM_SETALPHA_H

#include "clsModifierBase.h"

class StreamSetAlphaBuffer_cls;
class MultiInputPanel_cls;

class StreamSetAlpha_cls : public ModifierBase_cls {
public:
    StreamSetAlpha_cls(wxString strName, wxString strObjName);

    ConfItemUINT_cls mCSetAlphaType;
    ConfItemFLOAT_cls mCCrit;

    void SyncFromBuffer(StreamSetAlphaBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
};

class StreamSetAlphaBuffer_cls : public ModifierBase_cls {
public:
    StreamSetAlphaBuffer_cls(StreamSetAlpha_cls *pCSrc);

    StreamSetAlpha_cls *mpCSrc;

    ConfItemUINT_cls mCSetAlphaType;
    ConfItemFLOAT_cls mCCrit;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

class StreamSetAlphaExec_cls {
public:
    StreamSetAlphaExec_cls(AttributeClone_cls* pCSrc);

    void SetAlpha(float *pFilterAlpha, float *pValue, 
		  long long numStreamVertex);
    bool* GetNewPbFilterList(int numStreamVertex);

    bool mbValid;
    int mType;
    float mCrit;
};

#endif
