// (setq-c-offset 4)
// "clsTexSpaceMod.cpp"

#ifndef _TEXSPACEMOD_H
#define _TEXSPACEMOD_H

#include "clsModifierBase.h"

class TexSpaceModBuffer_cls;
class SceneObj_cls;
class MultiInputPanel_cls;

class TexSpaceMod_cls : public ModifierBase_cls {
 public:
    TexSpaceMod_cls(wxString strName, wxString strObjName);

    ConfItemBOOL_cls mCbAdjustScale;

    void Execute(std::vector < double > VScale);
    void SyncFromBuffer(TexSpaceModBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
};

class TexSpaceModBuffer_cls : public ModifierBase_cls {
 public:
    TexSpaceModBuffer_cls(TexSpaceMod_cls *pCSrc);

    TexSpaceMod_cls *mpCSrc;

    ConfItemBOOL_cls mCbAdjustScale;

    ConfItemFLOATARRAY_cls mCTranslate;
    ConfItemFLOATARRAY_cls mCRotate;
    ConfItemFLOATARRAY_cls mCScale;
   
    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObjO);
};

#endif
