// (setq-c-offset 4)
// "clsTrimming.cpp"

#ifndef _TRIMMING_H
#define _TRIMMING_H

#include "clsModifierBase.h"

class TrimmingBuffer_cls;
class SceneObj_cls;
class MultiInputPanel_cls;

class Trimming_cls : public ModifierBase_cls {
 public:
    Trimming_cls(wxString strName, wxString strObjName);
    ConfItemBOOL_cls mCbGlobal;
    ConfItemBOOL_cls  mCbSmooth;
    //ConfItemUINT_cls  mCTrimType;
    ConfItemFLOAT_cls mCSmoothWidth;
    ConfItemFLOAT_cls mCThinningFactor;

    void Execute(double clipBoxMin[3], double clipBoxMax[3]);
    void SyncFromBuffer(TrimmingBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
};

class TrimmingBuffer_cls : public ModifierBase_cls {
 public:
    TrimmingBuffer_cls(Trimming_cls *pCSrc);

    Trimming_cls *mpCSrc;

    ConfItemFLOATARRAY_cls mCXRange;
    ConfItemFLOATARRAY_cls mCYRange;
    ConfItemFLOATARRAY_cls mCZRange;
    ConfItemBOOL_cls  mCbGlobal;
    ConfItemBOOL_cls  mCbSmooth;
    //ConfItemUINT_cls  mCTrimType;
    ConfItemFLOAT_cls mCSmoothWidth;
    ConfItemFLOAT_cls mCThinningFactor;
    
    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow, wxString strParentClassName);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

#endif
