// (setq-c-offset 4)
// "clsVolumeMask.cpp"

#ifndef _VOLUME_MASK_H
#define _VOLUME_MASK_H

#include "clsModifierBase.h"

#include "../FILEIO/clsAsciiReader.h"

class VolumeMaskBuffer_cls;
class MultiInputPanel_cls;
class ShaderStatusVolumeMask_cls;

class VolumeMask_cls : public ModifierBase_cls, public AsciiReader_cls {
 public:
    VolumeMask_cls(wxString strName, wxString strObjName);
    
    ConfItemUINT_cls mCMaskType;

    void SyncFromBuffer(VolumeMaskBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
    bool IsStatusChanged(ShaderStatusVolumeMask_cls &CStatus);
    void SetStatus(ShaderStatusVolumeMask_cls &CStatus);

    wxString GetStrModifiedShader(wxString strFragSrc);
    
    static wxString smstrFunc;
    //void SetMask(bool *pbMask, int sizeX, int sizeY, int sizeZ);
};

class VolumeMaskBuffer_cls : public ModifierBase_cls {
 public:
    VolumeMaskBuffer_cls(VolumeMask_cls *pCSrc);

    VolumeMask_cls *mpCSrc;

    ConfItemUINT_cls mCMaskType;
    ConfItemFLOAT_cls mCXMin, mCXMax;
    ConfItemFLOAT_cls mCYMin, mCYMax;
    ConfItemFLOAT_cls mCZMin, mCZMax;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

#endif
