// "clsGLString2D.h"
// (setq c-basic-offset 4)

#include "clsGLString2D.h"
#include <string.h>

#include "../COMMON/CommonDefinitionsGL.h"
#include "../COMMON/CommonDefinitions.h"

void GLStrings2D_cls::
SetWindowGeometry(int width, int height){
    mWidth = width;
    mHeight = height;
}

void GLStrings2D_cls::
Push2DMatrix(){
    Matrix2D_cls::Push2DMatrix(mWidth, mHeight);
}

void GLStrings2D_cls::
Draw(void *fonttype, const char *chars, 
     int posx, int posy, int mode){
    
    if (mode == _STRINGS_TOP_LEFT)
	posy = mHeight - posy - 12; // {tHgɂĕςׂ
    
    //fonttype = GLUT_STROKE_ROMAN;

    int len = (int)strlen(chars);
    Push2DMatrix();
    glRasterPos2i(posx, posy);

    int dy = -24;
    if (mode == _STRINGS_BOTTOM_LEFT) dy = +24;

    for (int i = 0; i < len; i++){
	if (chars[i] == '\n'){
	    posy += dy;
	    glRasterPos2i(posx, posy); }
	glutBitmapCharacter(fonttype, chars[i]); }
    Pop2DMatrix();
}
