// -*- c++ -*- 
// "clsFrameMain.h"
// (setq c-basic-offset 4)

#include "clsGLTexture1D.h"

#include "../COMMON/clsClassProvider.h"
extern ClassProvider_cls GCClassProvider;
#include "../GRAPHIC/clsReadPNG.h"

#include "../COMMON/CommonDefinitions.h"
#include "../COMMON/CommonDefinitionsGL.h"

#define CLS GLTexture1D_cls

CLS::
GLTexture1D_cls(){
}

CLS::
~GLTexture1D_cls(){
    ClearImage();
}

void CLS::
CopyFromDataRGBA(unsigned char *pData, int width){
    if (mTextureID == 0)
	glGenTextures(1, &mTextureID);
    
    int alignment = 8;
    
    glBindTexture(GL_TEXTURE_1D, mTextureID);

    glTexParameteri(GL_TEXTURE_1D, GL_TEXTURE_WRAP_S, mTexWrap);
    glTexParameteri(GL_TEXTURE_1D, GL_TEXTURE_MAG_FILTER, mMagFilter);
    glTexParameteri(GL_TEXTURE_1D, GL_TEXTURE_MIN_FILTER, mMinFilter);

    glPixelStorei(GL_UNPACK_ALIGNMENT, alignment);

    glTexImage1D(GL_TEXTURE_1D, 0, GL_RGBA,
		 width, 0,
		 GL_RGBA, GL_UNSIGNED_BYTE, pData);

    mWidthTex = width;
    mHeightTex = 1;
    mDepth = 8;

    glBindTexture(GL_TEXTURE_1D, 0);
}
