// "clsTextureBase.h"
// (setq c-basic-offset 4)

#ifndef _TEXTURE_BASE_H_
#define _TEXTURE_BASE_H_

#include "clsMatrix2D.h"
#include "clsTextureBaseBase.h"

#include "../COMMON/CommonDefinitionsGL.h"

#define _TEX_FIT_HORIZONTAL 0
#define _TEX_FIT_VERTICAL 1
#define _TEX_FIT_CORNER 2

class TextureBase_cls : public TextureBaseBase_cls, public Matrix2D_cls {
 public:
    TextureBase_cls();
    
    void Push2DMatrix(int width = -1, int height = -1);
    //void Pop2DMatrix();
    
    /*
    void DrawOnScreen2DTileFit(int clientWidth, int clientHeight, int fitType,
			       int tileWidth, int tileHeight);


    void DrawOnScreen2DAtras(int clientWidth, int clientHeight,
			     int atrasIndex, int atrasGrid,
			     int fitType = _TEX_FIT_VERTICAL);
    */

    void GetFittingGeom
	(int clientWidth, int clientHeight, int fitType,
	 int &offsetX, int &offsetY, int &clipWidth, int &clipHeight);
    void ConvertScrCoordToTexCoord(int clientWidth, int clientHeight,
				   int fitType, int clientOffsetY,
				   double screenX, double screenY,
				   double &textureX, double &textureY);
    void DrawOnScreen2DFit(int clientWidth, int clientHeight,
			   int fitType = _TEX_FIT_HORIZONTAL,
			   bool bCustom = false,
			   int clientOffsetY = 0);
    void DrawOnScreen2D(int clientWidth, int clientHeight,
			int clipWidth, int clipHeight,
			int offsetX, int offsetY, bool bCustom = false,
			int texEnvMode = GL_DECAL);
};

#endif
