// (setq c-basic-offset 4)
// "clsParamGroup.h"

#include "clsParamDrawTLBase.h"

#include "../TIMELINE/clsTimelineBase.h"

//#include <wx/dcbuffer.h>
//#include <wx/dcmemory.h>

#define CLS ParamDrawTLBase_cls

void CLS::
DrawTLBackground(wxDC& dcMem, TLPanelGeom_cls* pCGeom,
		 int sashX, int panelWidth, int height,
		 double normalizedWAMin, double normalizedWAMax){

    dcMem.SetBackground(wxBrush(mCColorBase));
    dcMem.SetPen(*wxTRANSPARENT_PEN);
    dcMem.Clear();
    
    int WAMin = pCGeom->GetDevCoordFromN(normalizedWAMin, sashX);
    int WAMax = pCGeom->GetDevCoordFromN(normalizedWAMax, sashX);
    dcMem.SetBrush(mCColorWA);
    dcMem.DrawRectangle(WAMin, 0, WAMax-WAMin, height);
}
