// (setq-c-offset 4)
// "clsDataViewerBase.cpp"

#ifndef _DATAVIEWER_BASE_H
#define _DATAVIEWER_BASE_H

#include "clsMaterialParticle.h"

#include "../clsSceneObj.h"
#include "../../MODIFIER/clsModifierBase.h"

class ConfItemBOOL_cls;
class ColorCurve_cls;
class ParentObj_cls;
class MNumPainBase_cls;
class MultiInputPanel_cls;
class ViewerClone_cls;

#include <wx/wx.h>

class DataViewerBase_cls : public SceneObj_cls {
public:
    DataViewerBase_cls(ParentObj_cls *pCParentObj);

    wxString mstrPathChecked;

    void ClearTexture();
    ColorCurve_cls* GetPCColorCurve(int clrCurveIndex);

    MultiInputPanel_cls *GetPCNewPanelColorCurve
	(wxWindow *pCWindow, ConfItemBOOL_cls *pCConfUse = NULL,
	 ConfItemBOOL_cls *pCConfRepeat = NULL);

    ConfItemSTR_cls mCstrPath;
    ConfItemINT_cls mCSequenceOffset;
    ConfItemBOOL_cls mCbSequence;

    int mIndexPath;

    void UpdatePathColor(MNumPainBase_cls* pCPain, bool bValid);
    void ModFrame(int &frame, int seqLen, bool bRepeat);

    void Clone(ViewerClone_cls &CClone, double NT);
};

#endif
