// (setq-c-offset 4)
// "clsMaterial.cpp"

#ifndef _MATERIAL_PARTICLE_H
#define _MATERIAL_PARTICLE_H

#include "../clsAttribute.h"

#define _COLOR_CURVE_DEPEND_TYPE_INDEX 0
#define _COLOR_CURVE_DEPEND_TYPE_SIZE 1
#define _COLOR_CURVE_DEPEND_TYPE_ID 2
#define _COLOR_CURVE_DEPEND_TYPE_VALUE0 3
#define _COLOR_CURVE_DEPEND_TYPE_VALUE1 4
#define _COLOR_CURVE_DEPEND_TYPE_VALUE2 5
#define _COLOR_CURVE_DEPEND_TYPE_X 6
#define _COLOR_CURVE_DEPEND_TYPE_Y 7
#define _COLOR_CURVE_DEPEND_TYPE_Z 8
#define _COLOR_CURVE_DEPEND_TYPE_SORT 9

#define _COLOR_CURVE_DEPEND_TYPE_VALUE0_STEP   10
#define _COLOR_CURVE_DEPEND_TYPE_VALUE0_LINEAR 11
#define _COLOR_CURVE_DEPEND_TYPE_VALUE1_STEP   12
#define _COLOR_CURVE_DEPEND_TYPE_VALUE1_LINEAR 13
#define _COLOR_CURVE_DEPEND_TYPE_VALUE2_STEP   14
#define _COLOR_CURVE_DEPEND_TYPE_VALUE2_LINEAR 15

#define _COLOR_CURVE_DEPEND_TYPE_INVALID 16

class MNumPainBase_cls;
class MultiInputPanel_cls;

class MaterialParticle_cls : public Attribute_cls {
 public:
    MaterialParticle_cls(wxString strName, wxString strObjName);
    ~MaterialParticle_cls();

    ConfItemSTR_cls mCCustomName;
    ConfItemUINT_cls mCColorCurveType;
    ConfItemINT_cls  mCColorCurveIndex;
    ConfItemUINT_cls mCAlphaType, mCSizeType;
    ConfItemUINT_cls mCBaseType;
    ConfItemUINT_cls mCShaderTypePoint;
    ConfItemUINT_cls mCShaderTypeSphere, mCShaderTypeBillboard;
    ConfItemBOOL_cls mCbShaderFlat;
    ConfItemFLOAT_cls mCToonThreshold, mCToonBoldness;
    ConfItemUINT_cls mCClrCurveDependType;
    ConfItemUINT_cls mCBlendType;
    ConfItemUINT_cls mCTextureType;
    ConfItemINT_cls mCTextureIndex;

    wxString mstrMNumName;

    MultiInputPanel_cls* GetPCNewPanelMaterial
	(wxWindow *pCWindow, wxString strAttrib, int indexMat, 
	 bool bEnableAdd, bool bEnableDelete);
    bool HideAndShowMaterial(MultiInputPanel_cls *pCMNum);
    
    //void SyncConfListTag(wxString strObj);
    void SyncMaterialParticle(wxString strObj);
    //void SyncronizeParamMaterial3(wxString strObj, wxString strParamGroup, ConfItemFLOATARRAY_cls &CConf);
    //void SyncronizeParamMaterial2(wxString strObj, wxString strParamGroup, ConfItemFLOAT_cls &CConf0, ConfItemFLOAT_cls &CConf1);
    //void SyncronizeParamMaterial(wxString strObj, wxString strParamGroup, ConfItemFLOAT_cls &CConf);
    void UpdateButtonColor(MNumPainBase_cls *pCPain);
    void SetMaterialInfo(/*MNumPainBase_cls *pCPain*/);

    float GetAlpha(double NT);

    // ȉ̗vf́AGUIɐH킹邽߂̉ϐȂ̂Œ
    ConfItemFLOATARRAY_cls mCEmit, mCDiffuse, mCSpecular;
    ConfItemFLOAT_cls mCSizeFactorPoint, mCSizeFactorSphere, mCAlphaFactor;
    ConfItemFLOAT_cls mCAlphaModBase, mCAlphaModMax;

    int mIndexShader, mIndexEmit, mIndexBtnEmit;
    int mIndexShaderFlat, mIndexToonOption;
    int mIndexDiffuse, mIndexBtnDiffuse;
    int mIndexSpecular, mIndexBtnSpecular;
    int mIndexSizeFactor;
    int mIndexClrCurveDepend, mIndexAlphaDepend;
    
};

#endif
