// (setq-c-offset 4)
// "clsIsosurfProp.h"

#include "clsIsosurfProp.h"

#include "../../PARAMETER/clsParameter.h"
#include "../../PARAMETER/clsParamGroup.h"

#include "../../COMMON/CommonDefinitions.h"

#define CLS IsosurfProp_cls

CLS::
IsosurfProp_cls(wxString strName, wxString strParentClassName) : Attribute_cls("IsosurfProp_cls", "IsosurfProp") {
    wxString strConfListLabel = "SceneObj::";  strConfListLabel << strName;
    strConfListLabel << wxT("::IsosurfProp");

    wxString strUpdate = "VIEW3D::PROPERTY_OBJECT";
    
    mCConfList.SetTag(strConfListLabel);
    mCConfList.Add(&mCThreshold, "Threshold=", "0.5", strUpdate);

    AddOneDimParam("Threshold", "T", 0.5);
}

CLS::
~IsosurfProp_cls(){}

void CLS::
SyncronizeParam(wxString strName){
    SyncronizeParamAndConf(strName, "Threshold", mCThreshold);
}

void CLS::
SyncronizeConf(double time){
    SyncronizeConfAndParam(time, "Threshold", mCThreshold);
}
