// (setq-c-offset 4)
// "clsStreamlineProp.h"

#include "clsStreamlineProp.h"

#include "../../PARAMETER/clsParameter.h"
#include "../../PARAMETER/clsParamGroup.h"

#include "../../COMMON/CommonDefinitions.h"

#define CLS StreamlineProp_cls

CLS::
StreamlineProp_cls(wxString strName, wxString strParentClassName) : Attribute_cls("StreamlineProp_cls", "StreamlineProp") {
    wxString strConfListLabel = "SceneObj::";  strConfListLabel << strName;
    strConfListLabel << wxT("::StreamlineProp");

    wxString strUpdate = "VIEW3D::PROPERTY_OBJECT";
    
    mCConfList.SetTag(strConfListLabel);
    mCConfList.Add(&mCLineWidth, "LineWidth=", "2", strUpdate);
    
    AddOneDimParam("Width", "W", 2);
}

CLS::
~StreamlineProp_cls(){}

void CLS::
SyncronizeParam(wxString strObj){
    SyncronizeParamAndConf(strObj, "Width", mCLineWidth);
}

void CLS::
SyncronizeConf(double time){
    SyncronizeConfAndParam(time, "Width", mCLineWidth);
}
