// (setq-c-offset 4)
// "clsMaterialBase.cpp"

#ifndef _MATERIAL_BASE_H
#define _MATERIAL_BASE_H

#include "clsAttribute.h"

class ImageSequence_cls;
class MultiInputPanel_cls;

class MaterialBase_cls : public Attribute_cls {
 public:
    MaterialBase_cls(wxString strName, wxString strClassName, wxString strParentClassName);
    ~MaterialBase_cls();
    
    ImageSequence_cls *mpCImageSequence;
    
    wxString mstrParentClassName;

    ConfItemBOOL_cls mCbAdditive;
    ConfItemBOOL_cls mCbCullBack;
    ConfItemBOOL_cls mCbDepthMask;

    ConfItemSTR_cls mCstrTexturePath;
    ConfItemINT_cls mCTextureOffset;
    ConfItemBOOL_cls mCbUseTexture;
    ConfItemBOOL_cls mCbTextureSequence;
    ConfItemUINT_cls mCMapping;
    ConfItemUINT_cls mCTexFilter;
    ConfItemUINT_cls mCTexWrap;

    int mIndexTextureOffset;
    int mIndexMapping, mIndexInterpolate;

    MultiInputPanel_cls* GetPCNewPanelTexture
	(wxWindow *pCWindow, ConfItemSTR_cls &CDummySTR,
	 int &indexTexturePath);
    MultiInputPanel_cls* GetPCNewPanelOption(wxWindow *pCWindow);

    wxString mstrPathChecked;
    
    void CheckFileSequence();
    void CheckTextureSequence();

    bool BindTexture(int frame = -1);
    //void SetBlendFunc();
    void SetDepthMask();
};

#endif
