// -*- c -*- 
// "clsVolumeReadBase.cpp"

#ifndef _PARTICLE_READ_H
#define _PARTICLE_READ_H

#include "../../FILEIO/clsAsciiReader.h"

#include <wx/wx.h>

class DataSequence_cls;
class LongLongArrayAndIndex_cls;
class ParticleSnap_cls;

class ParticleReadBase_cls : public wxThread, public AsciiReader_cls {
public:
    ParticleReadBase_cls();
    
    void SetBaseParam(bool *pbFinishedFlagLink, ParticleSnap_cls *pCSnap);

    bool *mpbFinishedFlagLink;
    DataSequence_cls *mpCDataSequenceLink;

    int mPNum; // long long ɂ
    ParticleSnap_cls *mpCSnap;
    float (*mpXLink)[3], (*mpVLink)[3];
    unsigned char *mpTypeLink;
    int *mpIDLink;
    long long *mpIDLongLongLink;
    float *mpSizeLink;
    float *mpValue0Link, *mpValue1Link, *mpValue2Link;
    
    void SortDataByID(bool bSort, bool bRemoveDupli);
    int  SetTagForRemoveDupli(LongLongArrayAndIndex_cls *pCIdxANdID,
			      bool *pbValid);
};

#endif
