// -*- c -*- 
// "clsVolumeReadBase.cpp"

#ifndef _STREAMLINE_READ_H
#define _STREAMLINE_READ_H

#include "../../FILEIO/clsAsciiReader.h"

#include <wx/wx.h>



class DataSequence_cls;
class StreamlineSnap_cls;

class StreamlineReadBase_cls : public wxThread, public AsciiReader_cls {
public:
    StreamlineReadBase_cls();
    
    void SetBaseParam(bool *pbFinishedFlagLink, StreamlineSnap_cls *pCSnap);

    bool *mpbFinishedFlagLink;
    DataSequence_cls *mpCDataSequenceLink;

    int mSNum;
    float (*mpPosLink)[3];
    float *mpULink;
    float *mpValueLink;
    int *mpLineIndexLink;
};

#endif
