// -*- c -*- 
// "clsDataSnap.cpp"

#ifndef _DATA_SNAP_H
#define _DATA_SNAP_H

//#include "../COMMON/clsClassProvider.h"
#include "../COMMON/clsGetPC.h"

#define _DATA_UNDEFINED   -1
#define _DATA_VOLUME      0
#define _DATA_PARTICLE    1
#define _DATA_IMAGE       2
#define _DATA_STREAMLINE  3

class DataSequence_cls;

class DataSnap_cls : public GetPC_cls {
 public:
    DataSnap_cls(DataSequence_cls *pCParent, int type = -1, int index = -1);
    ~DataSnap_cls();
    
    DataSequence_cls *mpCParent;
    int mDataType;
    bool mbPriority;
    int mDistanceToCurrent;
    int mDrawCounter;
    int mSelfIndex;

    bool IsReading();
    void WaitReadingThread(int millisleep);
    void MarkDraw();

    bool mbReadStarted;
    bool mbReadFinished;
};

#endif
