// -*- c -*- 
// "clsParticleSequence.cpp"

#ifndef _PARTICLE_SEQUENCE_H
#define _PARRICLE_SEQUENCE_H

#include "clsDataSequence.h"

class ParticleFormatClone_cls;
class ParticleSnap_cls;
class SequenceRemap_cls;

class ParticleSequence_cls : public DataSequence_cls {
    public:
    ParticleSequence_cls();
    ~ParticleSequence_cls();

    int GetTotalUsedMemoryMB();

    ParticleSnap_cls* GenerateIfNot(int index);
    ParticleSnap_cls* GetPCSnap(int index);

    bool PrefetchData(ParticleFormatClone_cls *pCFormatClone,
		      SequenceRemap_cls* pCSeqRemap);
    void ReleaseMemoryData(SequenceRemap_cls *pCSeqRemap);
};

#endif
