// -*- c -*- 
// "clsStreamlineFormat.cpp"

#ifndef _STREAMLINE_FORMAT_H
#define _STREAMLINE_FORMAT_H

#include "../CONFITEM/clsConfItem.h"
#include "../CONFITEM/clsConfListContainer.h"

#include "../COMMON/clsGetPC.h"

#define _SFORMAT_ASCII  0
#define _SFORMAT_BINARY 1

#define _SFORMAT_ARRAY_HORIZONTAL 0
#define _SFORMAT_ARRAY_VERTICLAL  1

class MultiInputPanel_cls;
class MNumPainBase_cls;

class Streamline_cls;
class StreamlineFormat_cls;

class StreamlineFormatClone_cls : public ConfListContainer_cls, public GetPC_cls {
public:
    ~StreamlineFormatClone_cls();

    

    void CloneFromFormat(StreamlineFormat_cls &CFormat);
};

class StreamlineFormat_cls : public ConfListContainer_cls, public GetPC_cls {
public:
    StreamlineFormat_cls(Streamline_cls *pCParentStreamline, wxString strObj);

    Streamline_cls *mpCParentStreamline;

    ConfItemUINT_cls mCVersion;
    
    void SyncConfListTag(wxString strObj);

    MultiInputPanel_cls *GetPCNewPanelFormatMain(wxWindow *pCWindow);
};


#endif
