// -*- c -*- 
// "clsStreamlineSequence.cpp"

#include "clsDataSequence.h"

#ifndef _STREAMLINE_SEQUENCE_H
#define _STREAMLINE_SEQUENCE_H

class StreamlineFormatClone_cls;
class SequenceRemap_cls;
class StreamlineSnap_cls;

class StreamlineSequence_cls : public DataSequence_cls {
 public:
    StreamlineSequence_cls();
    ~StreamlineSequence_cls();

    int GetTotalUsedMemoryMB();

    StreamlineSnap_cls* GenerateIfNot(int index);
    StreamlineSnap_cls* GetPCSnap(int index);

    bool PrefetchData(StreamlineFormatClone_cls *pCFormatClone,
		      SequenceRemap_cls *pCSeqRemap);
    void ReleaseMemoryData(SequenceRemap_cls *pCSeqRemap);
};

#endif
