// -*- c -*- 
// "clsVolumeSequence.cpp"

#ifndef _VOLUME_SEQUENCE_H
#define _VOLUME_SEQUENCE_H

#include "clsDataSequence.h"

class VolumeSnap_cls;
class SequenceRemap_cls;

class VolumeSequence_cls : public DataSequence_cls {
 public:
    VolumeSequence_cls();
    ~VolumeSequence_cls();

    int GetTotalUsedMemoryMB();
    
    VolumeSnap_cls* GenerateIfNot(int index);
    VolumeSnap_cls* GetPCSnap(int index);

    void PrefetchData(SequenceRemap_cls *pCSeqRemap, bool bZStack);
    void ReleaseMemoryData(SequenceRemap_cls *pCSeqRemap);
};

#endif
