// -*- c++ -*-
// "clsAACtrl.cpp"

#ifndef _ACTIVE_AREA_CTRL_H
#define _ACTIVE_AREA_CTRL_H

#include "../COMMON/clsGetPC.h"
#include "../CONFITEM/clsConfItem.h"

#define _TL_SEL_TIME 1
#define _TL_SEL_WA_MIN 2
#define _TL_SEL_WA_MAX 3
#define _TL_SEL_WA_REGION 4
#define _TL_SEL_GRAPH_NAVI 5

#define _TL_AA    0
#define _TL_TICS  1
#define _TL_WA    2
#define _TL_PARAM 3
#define _TL_GRAPH 4

class AACtrl_cls : public GetPC_cls {
 public:
    ConfItemINT_cls mCAAMin, mCAAMax;
    ConfItemINT_cls mCTicsMode;

    double mDraggingNormalTime;
    int mDraggingItem;

    int mRegionLforDrag, mRegionRforDrag;

    double GetTimeNormalized();
    void SetRegion(int type);
    void ExpandAA(bool bExpand);
    void ExpandAAForColor(bool bExpand, int current);

    double GetWAMinNormalized();
    double GetWAMaxNormalized();
    double GetWARegionNormalizedQ();
};

#endif
