// (setq c-basic-offset 4)
// "clsTimelineAA.cpp"

#ifndef _TIMELINE_AA_H_
#define _TIMELINE_AA_H_

#include "../COMMON/clsGetPC.h"
#include "../COMMON/CommonDefinitionsWX.h"

#include "clsTimeline.h"
#include "clsTimelineBase.h"

#include <wx/wx.h>
#include <wx/dcbuffer.h>

class TimelineAA_cls : public TimelineBase_cls {
 public:
    TimelineAA_cls(Timeline_cls *pCParent);
    TimelineAA_cls(GraphEditor_cls *pCParent);
    void ConstructorBase();

    wxIcon mCIcon, mCIconMin, mCIconMax, mCIconRegion;

    void LimitDragging();    
    void UpdateDisplay(wxAutoBufferedPaintDC &dc);
    
    void OnPaint(wxPaintEvent& event);
    void OnMouse(wxMouseEvent& event);
    void ProcMouseRelease();
private:
    DECLARE_EVENT_TABLE()
};

#endif
