// -*- c++ -*-
// "clsGrammerBase.h"
// (setq c-basic-offset 4)

#include "clsListCtrlEX.h"

#define CLS wxListCtrlEX

BEGIN_EVENT_TABLE(CLS, wxWindow)
EVT_RIGHT_UP(CLS::OnMouse)
EVT_SCROLLWIN(CLS::OnScroll)
END_EVENT_TABLE()

CLS::
wxListCtrlEX(wxWindow* parent, wxWindowID id, 
	     const wxPoint& pos, const wxSize& size, long style):
wxListCtrl(parent, id, pos, size, style)
{
}

void CLS::
AddListItem(wxInt32 nID, std::vector < wxString > VstrItem){
    wxListItem listItem;
    
    if (nID == -1)
	nID = GetNextItem(-1, wxLIST_NEXT_ALL, wxLIST_STATE_SELECTED);
    
    if (nID == -1)// ǉ
	nID = GetItemCount();
    else
	;//nID++; //Î̎

    listItem.SetId(nID);
    listItem.SetMask(wxLIST_MASK_DATA | wxLIST_MASK_STATE);
    listItem.SetData(0L);

    wxString strNum; strNum << GetItemCount();
    listItem.SetText(VstrItem[0]);
    InsertItem(listItem);

    for (unsigned int i = 1; i < VstrItem.size(); i++)
	SetItem(nID, i, VstrItem[i]);
}

void CLS::
SetListItem(wxInt32 nID, std::vector < wxString > VstrItem){
    for (unsigned int i = 0; i < VstrItem.size(); i++)
	SetItem(nID, i, VstrItem[i]);
}

void CLS::
OnMouse(wxMouseEvent& event){
    GetParent()->GetEventHandler()->AddPendingEvent(event);
    printf("OnMounse\n");
    Refresh(TRUE);
    Update();
    int total = GetItemCount();
    //ClearAll();
    //SetItem(total);
    RefreshItems(0, total-1);

    //ScrollList(0, 30);
    
    //int x = 0;int y = 0;
    //GetViewStart(&x, &y);
    event.Skip();
}

void CLS::
OnScroll(wxScrollWinEvent& event){
#ifdef __WXGTK__
    //int x, y;
    //GetViewStart(&x, &y);
    //printf("Scroll %d %d\n", x, y);
    ScrollList(0, +1);
    ScrollList(0, -1);
#endif
    event.Skip();
}


