// -*- c -*- 
// "clsAtoSTextCtrl.cpp"

#ifndef _ATOS_TEXT_CTRL_H_
#define _ATOS_TEXT_CTRL_H_

#include <wx/wx.h>
//#include "../EX/clsTextCtrlEX.h"

#include <string>

class MouseCtrl_cls;

class AtoSTextCtrl_cls : public wxTextCtrl {
 public:
    AtoSTextCtrl_cls(wxWindow *parent, wxWindowID id, wxString strInit,
		     wxPoint pos = wxDefaultPosition,
		     wxSize size = wxSize(40, -1), long style = 0);
    ~AtoSTextCtrl_cls();

    void ConstructMain();

    bool mbInteger;
    bool mbDragging;
    double mDragScale;
    bool mbLimit;
    double mMin, mMax;
    double mCachedValue;

    MouseCtrl_cls     *mpCMouseCtrl;
    wxSize mClientSize;

    //void UpdateDisplay();
    //void SetValueStr(wxString strValue);
    
    //std::string msValue;
    
    bool ProcDragging();
    bool ProcessMouseEvent(wxMouseEvent& event);

    void OnCharHook(wxKeyEvent& event);
    void OnChar(wxKeyEvent& event);
    void OnMouse(wxMouseEvent& event);
    void OnMouseMotion(wxMouseEvent& event);
    void OnSize(wxSizeEvent& event);

};

#endif
