// -*- c -*- 
// "clsTextCtrlWithDrag.cpp"

#ifndef _TEXT_CTRL_WITH_DRAG_H_
#define _TEXT_CTRL_WITH_DRAG_H_

#include <wx/wx.h>

class MouseCtrl_cls;

class TextCtrlWithDrag_cls : public wxTextCtrl {
 public:
    TextCtrlWithDrag_cls(wxWindow *parent, wxWindowID id, wxString strInit,
			 wxPoint pos = wxDefaultPosition,
			 wxSize size = wxSize(40, -1), long style = 0);
    ~TextCtrlWithDrag_cls();

    bool mbInteger;
    bool mbDragging;
    double mDragScale;
    double mCachedValue;

    MouseCtrl_cls     *mpCMouseCtrl;
    wxSize mClientSize;

    void ConstructMain();
    bool ProcDragging();
    bool ProcessMouseEvent(wxMouseEvent& event);

    void OnMouse(wxMouseEvent& event);
    void OnMouseMotion(wxMouseEvent& event);
    void OnCaptureLost(wxMouseCaptureLostEvent& event);
    void OnLeave(wxMouseEvent& event);

    DECLARE_EVENT_TABLE()
};

#endif
