// -*- c -*- 
// "clsFrameEX.h"

#include "clsFrameEX.h"
#include "clsMultiInputPanel.h"

#include "../../COMMON/clsClassProvider.h"
extern ClassProvider_cls GCClassProvider;

#include "../WX/clsSizeAdjuster.h"

wxFrameEX::
wxFrameEX(wxWindow* parent, wxWindowID id, const wxString& label,
	  const wxPoint& pos, const wxSize& size,
	  wxBitmap CBitmap,
	  long style, const wxString& name) :
wxFrame(parent, id, label, pos, size, style | wxFRAME_FLOAT_ON_PARENT, name)
{
    mbPreventDestroy = TRUE;
    SetBackgroundColour(wxColour(wxT("WHEAT")));
    if (CBitmap.IsOk() == TRUE){
	wxIcon icon; icon.CopyFromBitmap(CBitmap);
	SetIcon(icon);
    }
}

void wxFrameEX::
ResizeFrame(){
    GetSizer()->Layout();
    SetSizerAndFit(GetSizer());
    Refresh(FALSE);
    GCClassProvider.GetPCSizeAdjuster()->AdjustWindowFitting(this);
}

void wxFrameEX::
OnClose(wxCloseEvent& event){
    if (mbPreventDestroy == TRUE)
	Show(FALSE);
    else
	Destroy();
}
