// -*- c -*- 
// "clsHookCtrl.h"

#include "clsHookCtrl.h"

#include "../../COMMON/CommonDefinitions.h"

//void HookItem_cls::HookFunc01(wxCommandEvent& event){}

/*
void HookItem_cls::
HookFunc02(int id, void *pArg){}

void HookItem_cls::
HookFunc03(int id, void *pArg){}

void HookItem_cls::
HookFunc04(int id, void *pArg){}

void HookItem_cls::
HookFunc05(int id, void *pArg){}

void HookItem_cls::
HookFuncAssign(int id, void *pArg){}

void HookItem_cls::
HookFuncHS(int id, void *pArg){}
*/

// -----

HookCtrl_cls::
~HookCtrl_cls(){
    for (uint i = 0; i < mVpCHookItems.size(); i++)
	delete mVpCHookItems[i];
}

void HookCtrl_cls::
SetHookItem(HookItem_cls *pCInstance,
	    void (HookItem_cls::*pFunc)(wxCommandEvent& event),
	    int type, int ID, wxString strCommand){

    HookItem_cls *pCHook = new HookItem_cls;
    pCHook->mpCTarget = pCInstance;
    pCHook->mpFunc = pFunc;
    pCHook->mHookType = type;
    pCHook->mId = ID;
    pCHook->mstrCommand = strCommand;
    mVpCHookItems.push_back(pCHook);
}

void HookCtrl_cls::
CheckHook(wxCommandEvent& event){
    for (unsigned int i = 0; i < mVpCHookItems.size(); i++){
	if (mVpCHookItems[i]->mHookType == event.GetEventType()){
	    if (mVpCHookItems[i]->mId != wxID_ANY && 
		mVpCHookItems[i]->mId != event.GetId())
		continue;
	    
	    event.SetString(mVpCHookItems[i]->mstrCommand);
	    HookItem_cls *pCInstance = mVpCHookItems[i]->mpCTarget;
	    (mVpCHookItems[i]->mpCTarget->*(mVpCHookItems[i]->mpFunc))(event);
	}
    }
}
