// (setq c-basic-offset 4)
// "clsIconButtonCtrl.h"

#include "clsIconButtonCtrl.h"

#include "../../MISC/clsMisc.h"

void IconButtonCtrl_cls::
SetLink(std::vector < wxRect > *pAIconRectLink){
    mpAIconRectLink = pAIconRectLink;
};

void IconButtonCtrl_cls::
Draw(wxDC &dc, wxIcon *pCIcon, int x, int y){
    dc.DrawIcon(*pCIcon, x, y);
    mpAIconRectLink->push_back(wxRect(wxPoint(x, y), pCIcon->GetSize()));
}

void IconButtonCtrl_cls::
DrawEmpty(){
    mpAIconRectLink->push_back(wxRect());
}

void StringButtonCtrl_cls::
SetLink(wxMemoryDC *pCMemeoryDCWorkSpaceLink,
	std::vector < wxRect > *pATextRectLink){
    mpCMemoryDCWorkSpaceLink = pCMemeoryDCWorkSpaceLink;
    mpATextRectLink = pATextRectLink;
}

int StringButtonCtrl_cls::
Draw(wxDC &dc, wxString strText, int x, int y, bool bEnhance){
    wxCoord w, h;
    mpCMemoryDCWorkSpaceLink->GetMultiLineTextExtent(strText, &w, &h);
    if (bEnhance == TRUE) dc.DrawRectangle(x-4, y, w+8, h);
    dc.DrawText(strText, x, y);
    mpATextRectLink->push_back(wxRect(wxPoint(x, y), wxSize(Misc_cls::Max(30, w), h)));
    return w;
}

void StringButtonCtrl_cls::
DrawEmpty(){
    mpATextRectLink->push_back(wxRect());
}
