// -*- c++ -*- 
// "clsScrollPanel.cpp"
// (setq c-basic-offset 4)

#ifndef _SCROLL_PANEL_H_
#define _SCROLL_PANEL_H_

#include "../../INPUTMETHOD/clsClickInfoCtrl.h"

#include "../../COMMON/CommonDefinitionsWX.h"

#define _SCROLL_BARWIDTH 16

class ScrollPanel_cls : public ClickInfoCtrl_cls {
public:
    ScrollPanel_cls();

    wxPanel *mpCTgtPanel;
    
    bool mbBarSelecting;
    bool mbBarFloating;
    int mTgtPanelWidth, mTgtPanelHeight, mVirtualHeight;
    float mOffsetY;
    //int mMouseXAtDown, mMouseYAtDown;
    //int mMouseXCurrent, mMouseYCurrent;
    //int mMouseXPrev, mMouseYPrev;

    void SetTgtPanel(wxPanel *pCTgtPanel);
    int GetIndex(int lineHeight/* = 24*/);
    int GetDragDistance();
    void CheckOffsetBase();
    //void LeftDownBase(wxMouseEvent& event);
    void LeftUpBase(wxMouseEvent& event);
    void MotionBase(wxMouseEvent& event, bool bDragPanel, bool bDragBar);
    void LeaveBase(wxMouseEvent& event);
    bool WheelBase(wxMouseEvent& event);
    void DrawScrollBar(wxDC& dc, bool mbDragging = FALSE);
};

#endif
