// (setq c-basic-offset 4)
// "clsTextEntryBase.cpp"

#ifndef _TEXT_ENTRY_BASE_H_
#define _TEXT_ENTRY_BASE_H_

#include "clsTextEntryPopup.h"

#include <wx/wx.h>
#include <wx/richtext/richtextctrl.h>

#include "../../COMMON/CommonDefinitionsWX.h"

class AutoComplete_cls;

class TextEntryBase_cls {
 public:
    TextEntryBase_cls(wxWindow *pCParent);
    TextEntryBase_cls();

    wxRichTextCtrl *mpCTextCtrl;
    wxTextCtrl *mpCTempTextCtrl;
    
    wxRichTextAttr mCTextAttrDefault;

    TextEntryPopup_cls mCPopup;

    void SetToDefaultAttr();
    
    int GetInsertionPointXY(long *posX, long *posY);
    void ReplaceLine(wxString strNewLine);
    void ProcessCompletion(AutoComplete_cls *pCAutoComplete,
			   wxString strComplete = wxES);
    void ProcessCompletionLua(wxString strComplete = wxES);
    void ProcessCompletionGLSL(wxString strComplete = wxES);
    
    
};

#endif
