// (setq c-basic-offset 4)
// "clsTextEntryPopup.h"

#include "clsTextEntryPopup.h"

#include "../../COMMON/CommonDefinitions.h"
#include "../../../wxWidgetEnumMenu.h"

/*
BEGIN_EVENT_TABLE(MenuEX_cls, wxMenu)
EVT_CHAR_HOOK(MenuEX_cls::OnKeyDown)
END_EVENT_TABLE()

void MenuEX_cls::
OnKeyDown(wxKeyEvent& event){
}
*/

// ----

#define CLS TextEntryPopup_cls

CLS::
TextEntryPopup_cls(){
    mpCMenu = NULL;
}

CLS::
~TextEntryPopup_cls(){
    if (mpCMenu != NULL) delete mpCMenu;
}

wxString CLS::
GetStr(int id){
    int index = id - menuPopText1;
    if (index >= 0)
	return mAstrListLong[index + mMenuOffset];
    else
	NextMenu();
    return wxES;
}

void CLS::
NextMenu(){
    wxWindow *pCParent = mpCMenu->GetInvokingWindow();
    delete mpCMenu; 
    mpCMenu = new wxMenu;
    
    mMenuOffset += 9;
    int num = mAstrListShort.GetCount();
    if (mMenuOffset >= num) mMenuOffset = 0;
    
    for (int i = mMenuOffset; i < num; i++){
	if (i >= mMenuOffset+9) break;
	mpCMenu->Append(menuPopText1+(i-mMenuOffset), mAstrListShort[i]);
    }

    mpCMenu->AppendSeparator();
    mpCMenu->Append(menuPopText0, _("Next")); 

    pCParent->PopupMenu(mpCMenu, mCPos);
}

#include <wx/utils.h> 

void TextEntryPopup_cls::
Popup(wxArrayString AstrListShort, wxArrayString AstrListLong,
      wxWindow *pCParent){

    if (mpCMenu != NULL){ delete mpCMenu; mpCMenu = NULL; }
    if (mpCMenu == NULL) mpCMenu = new wxMenu;
    
    mMenuOffset = 0;
    mAstrListShort = AstrListShort;
    mAstrListLong = AstrListLong;
    int num = AstrListShort.GetCount();
    for (int i = 0; i < num; i++){
	if (i >= 9) break;
	wxString strShort = AstrListShort[i];
	strShort.Replace(wxT(")"), wxES);
	strShort.Replace(wxT("("), wxES);
	mpCMenu->Append(menuPopText1+i, strShort);
    }

    if (num > 9){
	mpCMenu->AppendSeparator();
	mpCMenu->Append(menuPopText0, _("Next")); 
    }

    wxPoint CPosParent = pCParent->GetScreenPosition();
    mCPos = wxGetMouseState().GetPosition() - CPosParent;
    pCParent->PopupMenu(mpCMenu, mCPos);
}
