// (setq c-basic-offset 4)
// "clsColorProvider.h"

#include "clsPenBrushProvider.h"

#define CLS PenBrushProvider_cls

CLS::
PenBrushProvider_cls(){
    mCDashLong[0] = 6;
    mCDashLong[1] = 4;
    mCPenDashLong = wxPen(wxColour(96, 96, 96), 1, wxUSER_DASH);
    mCPenDashLong.SetDashes(2, mCDashLong);

    mCDashShort[0] = 3;
    mCDashShort[1] = 2;
    mCPenDashShort = wxPen(wxColour(96, 96, 96), 1, wxUSER_DASH);
    mCPenDashShort.SetDashes(2, mCDashShort);
}

wxPen& CLS::
GetPen(int type){
    if (type == _PEN_DASH_LONG) return mCPenDashLong;
    if (type == _PEN_DASH_SHORT) return mCPenDashShort;
    return mCPenDashShort;
}

PenBrushProvider_cls *GpCPenBrushProvider = NULL;
