// (setq c-basic-offset 4)

#ifndef _WX_WIDGET_ENUM_MENU_H_
#define _WX_WIDGET_ENUM_MENU_H_

enum {
    // menu items
    Minimal_Quit = wxID_EXIT,
    Minimal_About = wxID_ABOUT,
    menuDummy = 6000, 

    MENU_COMMON_INI,

    menuOpenProject,
    menuOpenRecent,
    menuSaveProject,
    menuSaveProjectAs,
    
    menuScene,

    menuUndo,
    menuRedo,

    menuPreference,
    menuCache,
    menuClearCacheTexture,
    menuClearCacheVBO,

    menuObjects,
    menuObjectBox,
    menuObjectSphere,
    menuObjectPlane,
    menuObjectCone,
    menuObjectCylindere,
    menuObjectMesh,
    menuObjectText,

    menuLights,
    menuLightParallel,
    menuLightPoint,
    menuLightSpot,
    
    menuCamera,
    menuEmpty,
    menuWorld,

    menuDuplicate,
    menuDelete,

    menuVolumeBox,
    menuIsosurface,
    menuParticle,
    menuStreamline,
    menuHeightField,

    menuInfo,
    menuHelp,
    menuToolTip,

    menuInfoGL,
    menuInfoStatus,

    MENU_COMMON_FIN,

    menuEscape,

    menuSplitterSize,
    menuFromSubThread,
    
    menuPopTimeline, 
    menuPopOutliner,
    menuPopProperty,
    menuPopView3D,
    menuPopGraph,
    menuPopColorCurve,
    menuPopTextEditor,
    menuPopConsole,
    menuPopSeparationDirection,
    menuPopSeparationSwap,
    menuPopDestroyPanel,

    menuPopRename,
    menuPopInsertKey,
    
    menuPopTextShowUndo,

    menuPopText0, menuPopText1, menuPopText2, menuPopText3, menuPopText4,
    menuPopText5, menuPopText6, menuPopText7, menuPopText8, menuPopText9,

    menuPop0, menuPop1, menuPop2, menuPop3, menuPop4,
    menuPop5, menuPop6, menuPop7, menuPop8, menuPop9,

    menuRecent0, menuRecent1, menuRecent2, menuRecent3, menuRecent4,
    menuRecent5, menuRecent6, menuRecent7, menuRecent8, menuRecent9,
    menuRecentDummy,

    menuZoomPlus, menuZoomMinus,

    menuCopyToClipboard, menuPasteFromClipboard,
    
    menuShowNumPanel,
    menuShowPanelManage,

    menuView3DCamera,
    menuView3DSetPos,
    menuView3DSetPosRot,
    menuView3DSetRot,
    menuView3DLookAtPivot,
    menuView3DLookAtTarget,
    menuView3DFollowCamera,
    menuView3DLockToCamera,
    menuView3DNavi,
    menuView3DNaviX,
    menuView3DNaviY,
    menuView3DNaviZ,
    menuView3DNaviXLock,
    menuView3DNaviYLock,
    menuView3DNaviZLock,
    menuView3DTranslate,
    menuView3DRotate,
    menuView3DScale,
    menuView3DPivotOrigin,
    menuView3DPivotActiveObj,
    menuView3DPivotViewCenter,
    menuView3DPivotFixToActiveObj,
    menuView3DFront,
    menuView3DBack,
    menuView3DRight,
    menuView3DLeft,
    menuView3DTop,
    menuView3DBottom,
    menuViewTogglePerspective,

    menuExtrapolateOff,
    menuExtrapolateOn,
    menuExtrapolateAllOff,
    menuExtrapolateAllOn,

    menuPanelView,
    menuPanelSelect,
    menuPanelChannel,
    menuPanelEdit,
    menuPanelKey,
    menuPanelLog,
    menuPanelTimeline,

    menuLogClear,
    menuLogUpdate,

    menuModifierTracking,
    menuModifierArrayCopy,
    menuModifierModifyApparentSize,
    menuModifierModifyParticleSize,
    menuModifierNestedVolume,
    menuModifierParticleBoolean,
    menuModifierParticleFiltering,
    menuModifierParticleTweak,
    menuModifierTrimming,
    menuModifierTexSpaceMod,
    menuModifierSequenceRemap,
    menuModifierVolumeCoord,
    menuModifierVolumeMask,

    menuDProcVolumeBoolean,
    menuDProcVolumeDownsize,
    menuDProcParticleDownsizing,
    menuDProcParticleExclude,
    menuDProcParticleMerge,
    menuDProcStreamFiltering,
    menuDProcStreamSetAlpha,
    menuDProcStreamTransform,

    menuFilterExposure,
    menuFilterBlur,
    menuFilterFocalBlur,
    menuFilterGlare,
    menuFilterRemoveAlpha,
    menuFilterOverlay,
    menuFilterLegend,
    menuFilterSSAO,
    menuFilterDepth,

    menuObjectDeselect,

    menuCopyColor,
    menuPasteColor,
    menuCopyColorCurve,
    menuPasteColorCurve,

    menuTLTimeDepend,
    menuTLShy,
    menuTLIn,
    menuTLOut,
   
    menuLog,
};

#endif
