// (setq c-basic-offset 4)

#ifndef _COMMON_DEFINITIONS_H_
#define _COMMON_DEFINITIONS_H_

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

#ifndef ASSERT
#define ASSERT assert
#endif

#ifndef TRUE
#define TRUE true
#define FALSE false
#endif

//#ifndef uint
//#define uint unsigned int
//#endif
typedef unsigned int uint;

#ifndef uchar
#define uchar unsigned char
#endif

#define X 0
#define Y 1
#define Z 2
#define LOOP_XYZ for (int xyz = 0; xyz < 3; xyz++)
#define LOOP_RGB for (int rgb = 0; rgb < 3; rgb++)
#define LOOP_RGBA for (int rgba = 0; rgba < 4; rgba++)

#define _CAMERA_MAX 7

#include "CommonDefinitionsWX.h"

#define ENDL wxT("\n")
#define ENDLCLOSE wxT("}\n")

#ifdef WIN32
#define _WXDELIM_ wxT("\\")
#else
#define _WXDELIM_ wxT("/")
#endif

#endif
