// (setq c-basic-offset 4)

#include "clsExpectTime.h"

#define CLS ExpectTime_cls

ExpectTime_cls::
ExpectTime_cls(){
    mbStarted = FALSE;
}

void CLS::
StartSWIfNotYet(){
    if (mbStarted == TRUE) return;
    mCStopWatch.Start();
    mbStarted = TRUE;
}

void CLS::
StopSW(){
    mbStarted = FALSE;
}

wxString CLS::
GetStrCurrentLapseTime(){
    wxString str;
    int ms = mCStopWatch.Time();
    int sec = ms / 1000;
    int min = sec / 60; sec = sec % 60;
    int hour = min / 60; min = min % 60;
    int day = hour / 24; hour = hour % 24;

    if (day > 0) str << day << wxT("day");
    if (hour > 0) str << hour << wxT("hour");
    if (min > 0) str << min << wxT("min");
    str << sec << wxT("sec");

    return str;
}

wxString CLS::
GetStrExpectedFinishTime(double percentage){
    if (percentage < 0.2)
	return wxT("estimating...");

    wxString str;
    long long ms = mCStopWatch.Time();

    long long expectms = ms / percentage * 100;
    int expectsec = expectms / 1000;
    int expectmin = expectsec / 60; expectsec = expectsec % 60;
    int expecthour = expectmin / 60; expectmin = expectmin % 60;
    int expectday = expecthour / 24; expecthour = expecthour % 24;

    if (expectday > 0) str << expectday << wxT("day");
    if (expecthour > 0) str << expecthour << wxT("hour");
    if (expectmin > 0) str << expectmin << wxT("min");
    str << expectsec << wxT("sec");

    return str;
}
