// -*- c++ -*- 
// (setq c-basic-offset 4)

#include "clsParserNumeric.h"

#include "CommonDefinitions.h"

wxString ParserNumeric_cls::
GetStringBlock(wxString *pstrAll){
    wxString strBlock = *pstrAll;
    int pos = pstrAll->Find(wxT(","));
    if (pos == wxNOT_FOUND){
	(*pstrAll) = wxES;
	return strBlock;
    }
    strBlock.Truncate(pos);
    (*pstrAll) = pstrAll->Mid(pos+1);
    return strBlock;
}

wxString ParserNumeric_cls::
GetStrIni(wxString strBlock){
    int pos = strBlock.Find(wxT("-"));
    if (pos != wxNOT_FOUND){
	if (pos == 0){
	    pos = strBlock.Mid(1).Find(wxT("-"));
	    if (pos != wxNOT_FOUND)
		strBlock = strBlock.Truncate(pos+1);
	}
	else
	    strBlock = strBlock.Truncate(pos);
    }

    strBlock.Trim(FALSE);
    strBlock.Trim(TRUE);
    //if (strBlock.IsNumber() == FALSE) return wxT("0");
    
    return strBlock;
}

wxString ParserNumeric_cls::
GetStrFin(wxString strBlock){
    int pos = strBlock.Find(wxT("-"));
    if (pos ==0){
	strBlock = strBlock.Mid(1);
    }
    pos = strBlock.Find(wxT("-"));

    if (pos == wxNOT_FOUND) return wxT("-");
    
    strBlock = strBlock.Mid(pos+1);
    pos = strBlock.Find(wxT("-"));
    if (pos != wxNOT_FOUND){
	strBlock = strBlock.Mid(pos+1);
    }
    
    strBlock.Trim(FALSE);
    strBlock.Trim(TRUE);
    //if (strBlock.IsNumber() == FALSE) wxT("-");
    
    return strBlock;
}

wxString ParserNumeric_cls::
GetStrInc(wxString strBlock){
    int pos = strBlock.Find(wxT("-"));
    if (pos ==0){
	strBlock = strBlock.Mid(1);
    }
    pos = strBlock.Find(wxT("-"));

    if (pos == wxNOT_FOUND) return wxT("1");
    
    strBlock = strBlock.Mid(pos+1);
    pos = strBlock.Find(wxT("-"));
    if (pos == wxNOT_FOUND) return wxT("1");
    
    strBlock = strBlock.Mid(0, pos);
    
    strBlock.Trim(FALSE);
    strBlock.Trim(TRUE);
    //if (strBlock.IsNumber() == FALSE) return wxT("1");
    
    return strBlock;
}
