// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsUseGZ.cpp"

#ifndef _USE_GZ_H_
#define _USE_GZ_H_

#include <wx/string.h>

#include <string>

class Preference_cls;

class UseGZ_cls {
 public:
    static void VersionCheck();

    static bool CopyToString(std::string *pstrBuf, wxString strFile);
    static bool CopyToStringGZ(std::string *pstrBuf, wxString strFile);

    static bool CopyToMemory(unsigned char **ppBuf, wxString strFile, long long &fileSize);
    static bool CopyToMemoryGZ(unsigned char **ppBuf, wxString strFile, long long &fileSize);
    
    static int GetLineNumber(wxString strFile);
    static int GetLineNumberGZ(wxString strFile);

    static bool SaveMemoryToGZ(wxString strFile, char *pBuf, long long size);

    static long msVersionMajor, msVersionSub, msVersionSubSub;
};

#endif
