// -*- c -*-
// "clsVectorMath.cpp"
// (setq c-basic-offset 4)

#ifndef _VECTOR_MATH
#define _VECTOR_MATH

class VectorMath_cls {
public:
    static void Normalize(double pos[3], double length);
    static void Normalize(float pos[3], float length);

    static double GetScalarProduct(double vec0[3], double vec1[3]);
    static float GetScalarProduct(float vec0[3], float vec1[3]);

    static double GetNorm(double vec[3]);
    static float GetNorm(float vec[3]);
    
    static double GetDistance(double vec0[3], double vec1[3]);
    static float GetDistance(float vec0[3], float vec1[3]);

    void GetCrossedVector(double vec0[3], double vec1[3], double vecOut[3]);
    void GetCrossedVector(const float vec0[3], const float vec1[3], float vecOut[3]);
    float GetCrossedVectorZ(const float vec0[3], const float vec1[3]);
    
    void Rotate   (double vec[3], double angle,  int axis);
    // Cӎ̉]
    void RotateAround (double vec[3], double axis[3], double angle);
};

#endif
