// "clsAsciiReader.cpp"
// (c-basic-offset 4)

#ifndef _ASCII_READER_H_
#define _ASCII_READER_H_

#include <wx/wx.h>

class AsciiReader_cls {
 public:
    bool GetStrFullFromFile(wxString strFile, wxString &strFull, 
			    bool bUseInitCwd = FALSE);

    bool IsCharExist(const char *ptr, char delim, char item);
    bool SearchChar(const char **ptr, char item, char *bufferEnd);
    bool SearchTagStr(const char **ptr, char *tag, char *bufferEnd, 
		      bool bProgress = TRUE);
    void GetStrUptoLineEnd(const char **ptr, char *str, char *bufferEnd);

    float ReadFloat(const char **ptr, const char delim);
    int   ReadInt(const char **ptr, const char delim);
    long long ReadLongLong(const char **ptr, const char delim);
    bool ReadBool(const char **ptr, const char delim);

    char* GetPNewBufferFromFile(wxString strFile, long &fileSize);
};

#endif
