// -*- c++ -*- 
// "clsParser.h"
// (setq c-basic-offset 4)

#include "clsParser.h"

#define CLS Parser_cls

wxString CLS::
PopStrItemFromStrLine(wxString& strLine, wxString strDelimiter){
    int posDelimiter = strLine.Find(strDelimiter);
    if (posDelimiter != wxNOT_FOUND){
	wxString strItem = strLine.Mid(0, posDelimiter);
	strLine = strLine.Mid(posDelimiter + strDelimiter.Length());
	return strItem;
    }
    wxString strItem = strLine;
    strLine.Clear();
    return strItem;
}

wxString CLS::
PopLastItemFromStrLine(wxString& strLine, wxString strDelimiter){
    int posDelimiter = FindLast(strLine, strDelimiter);
    if (posDelimiter != wxNOT_FOUND){
	wxString strItem = strLine.Mid(posDelimiter + strDelimiter.Length());
	strLine = strLine.Mid(0, posDelimiter);
	return strItem;
    }
    wxString strItem = strLine;
    strLine.Clear();
    return strItem;
}

int CLS::
FindLast(wxString strLine, wxString strDelimiter){
    int posTRUE = wxNOT_FOUND;
    int posDelimiter = wxNOT_FOUND, offset = 0;
    while ((posDelimiter = strLine.Find(strDelimiter)) != wxNOT_FOUND){
	posTRUE = posDelimiter + offset;
	strLine = strLine.Mid(posDelimiter + strDelimiter.Length());
	offset += posDelimiter + strDelimiter.Length();
    }
    return posTRUE;
}

wxString CLS::
GetLastItem(wxString strLine, wxString strDelimiter){
    wxString strLastOne;
    int posDelimiter = wxNOT_FOUND;
    do {
	strLastOne = strLine;
	posDelimiter = strLine.Find(strDelimiter);
	strLine = strLine.Mid(posDelimiter + strDelimiter.Length());
    } while (posDelimiter != wxNOT_FOUND);
    
    return strLastOne;
}
