// "clsBlur.cpp"

#ifndef _BLUR_H
#define _BLUR_H

#include "clsFilterBase.h"

#include <vector>

class BlurBuffer_cls;
class MultiInputPanel_cls;

class Blur_cls : public FilterBase_cls {
public:
    Blur_cls(wxString strName);

    ConfItemUINT_cls mCType, mCKernel;
    ConfItemINT_cls mCQuality;
    ConfItemBOOL_cls mCbUseGamma;

    void SyncFromBuffer(BlurBuffer_cls *pCBuffer);

    unsigned int GetIterNum();
    void BeginExposure();
    void Begin(int iter);
    void End();
};

class BlurBuffer_cls : public FilterBase_cls {
public:
    BlurBuffer_cls(Blur_cls *pCSrc);

    Blur_cls *mpCSrc;

    ConfItemUINT_cls mCType, mCKernel;
    ConfItemINT_cls mCQuality;
    ConfItemBOOL_cls mCbUseGamma;
    ConfItemFLOAT_cls mCWidth;

    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer();
};

#endif
