// "clsGlare.cpp"

#ifndef _GLARE_H
#define _GLARE_H

#include "clsFilterBase.h"

#include "../WIDGETCTRL/MULTIINPUT/clsHookCtrl.h"

#include <vector>

class GlareBuffer_cls;
class MultiInputPanel_cls;

class Glare_cls : public FilterBase_cls {
public:
    Glare_cls(wxString strName);

    ConfItemUINT_cls mCType;
    ConfItemINT_cls mCQuality;
    ConfItemINT_cls mCRayNumber;

    void SyncFromBuffer(GlareBuffer_cls *pCBuffer);

    void Begin();
    void End();
};

class GlareBuffer_cls : public HookItem_cls, public FilterBase_cls{
public:
    GlareBuffer_cls(Glare_cls *pCSrc);

    Glare_cls *mpCSrc;

    ConfItemUINT_cls mCType;
    ConfItemINT_cls mCQuality;
    ConfItemFLOAT_cls mCWidth;
    ConfItemINT_cls mCRayNumber;
    ConfItemFLOAT_cls mCRayOffset;
    ConfItemFLOAT_cls mCCrit;
    ConfItemFLOAT_cls mCEnhance;
    ConfItemFLOAT_cls mCFade;

    void HookFunc01(wxCommandEvent& event){HideAndShow();}
    void HideAndShow();

    int mIndexNumber;
    MultiInputPanel_cls *mpCMNumLink;
    
    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer();
};

#endif
