// (setq c-basic-offset 4)
// "clsHitTest.cpp"

#ifndef _HITTEST_H_
#define _HITTEST_H_

#include "../../MYGL/clsPosition.h"
#include "../../MYGL/clsGLPerspective.h"

class FBO_cls;

#include <wx/wx.h>

class SceneObj_cls; 

class Hittest_cls {
 public:
    Hittest_cls();
    ~Hittest_cls();

    FBO_cls *mpCHitFBO;
    unsigned int mABuffer4Selection[100];
    std::vector < SceneObj_cls* > mVpCSceneObjTable;

    void ClearReferTable();
    void SetReferTable(SceneObj_cls *pCSceneObj);
    void HitTestBegin(PositionAndDirection_cls CCamPos, double degreeV,
		      double posX, double posY, bool bHitTest);
    SceneObj_cls* HitTestEnd(bool bHitTest);

    SceneObj_cls* GetPCFromBuffer();
    void Draw(wxSize CSizeCanvas, wxSize CSizeImg);
};

#endif
