// (setq c-basic-offset 4)
// "clsNavigator.cpp"

#ifndef _NAGIVATOR_H_
#define _NAGIVATOR_H_

#include "../../MYGL/clsPosition.h"
#include "../../MYGL/clsGLPerspective.h"

class FBO_cls;

#include <wx/wx.h>

class Navigator_cls {
 public:
    Navigator_cls();
    ~Navigator_cls();

    FBO_cls *mpCNaviFBO;

    void SetColorAxis(int axis);
    void ShowArrow(bool bLong = FALSE);
    void ShowBlock(bool bLong = FALSE);
    void ShowRing (bool bLong = FALSE);
    void ShowNaviTranslate(bool bAxisX = FALSE, bool bAxisY = FALSE, bool bAxisZ = FALSE);
    void ShowNaviRotate(bool bAxisX = FALSE, bool bAxisY = FALSE, bool bAxisZ = FALSE);
    void ShowNaviScale(bool bAxisX = FALSE, bool bAxisY = FALSE, bool bAxisZ = FALSE);
    void MakeImage(PositionAndDirection_cls CCamPos);
    void Draw(wxSize CSizeCanvas, wxSize CSizeImg);
};

#endif
