// -*- c -*-
// "clsGLCanvasBase.cpp"
//(setq c-basic-offset 4)

#ifndef _GL_CANVAS_BASE_H
#define _GL_CANVAS_BASE_H

#include <wx/wx.h>
#include <wx/glcanvas.h>

class GLCanvasBase_cls : public wxGLCanvas {
public:
    GLCanvasBase_cls(wxWindow *pCParent, int *attribList,
		     long style, wxString name);
#ifdef WIN32
    GLCanvasBase_cls(wxWindow *pCParent, wxGLAttributes& CGLAttribute,
		     long style, wxString name);
#endif

    static wxGLContext *mspCGLContext;

    wxWindow *mpCParentWXWindow;
    wxSize mCWindowSize;

    void SetGLContext(bool bSetCurrent = TRUE);
    void GetWindowSize(int *pWidth, int *pHeight, int *pClientWidth, int *pClientHeight);

    void UpdateSize();
    void OnSize(wxSizeEvent &event);

    

    DECLARE_EVENT_TABLE();
};

#endif
