// -*- c -*-
// "clsVBOCommon.cpp"
// (setq c-basic-offset 4)

#ifndef _VBO_COMMON_H_
#define _VBO_COMMON_H_

class ArrayAndIndex_cls;

class VBOCommon_cls{
public:
    int SearchAdjTriangleB(int ibase_, unsigned int * const pIndiceTriangle,
			   ArrayAndIndex_cls * const pCIdxAndZ, 
			   const int vertex0, const int vertex1, 
			   const int vertex2,
			   const int triangleNum, const int searchWidth);
    void ConstructAdjStructure(float (* const pVertex)[3], 
			       unsigned int * const pIndiceTriangle,
			       unsigned int * const pIndiceAdj,
			       const int totalTriangle, 
			       const int searchAxis = 2,
			       const int searchWidth = 999);
};

#endif
