// -*- c -*-
// "clsVBOCube.cpp"
// (setq c-basic-offset 4)

#ifndef _VBO_CUBE_H_
#define _VBO_CUBE_H_

#include "clsVBOCommon.h"
#include "clsVBOBaseObject.h"

class VBOCube_cls : public VBOCommon_cls {
public:

    VBOBaseObject_cls mCObject;//, mCShadowVolume;
    
    void Initialize();
    void Draw(int objectState, int mapType);

    // ----

    int GetTotalVertex(int face);
    int GetTotalTriangle(int face);

    void ConstructTriangles(float (*pVertex)[3], float (*pNormal)[3], 
			    unsigned int *pIndiceTriangle);
    void ConstructUV(float (*pUV)[2], int mapType);
    
    void SetGeometry(VBOBaseObject_cls *pCTgt);
    //void SetShadowGeometry(VBOBaseObject_cls *pCTgt);
};

#endif

