// -*- c++ -*- 
// "clsVBOHFProvider.h"
// (setq c-basic-offset 4)

#include "clsVBOHFProvider.h"

#include "clsVBOBaseObject.h"

#include "../COMMON/CommonDefinitions.h"

#define CLS VBOHFProvider_cls

CLS::
~VBOHFProvider_cls(){
    ClearAll();
}

void CLS::
ClearAll(){
    uint num = mVpCVBOHF.size();
    for (uint i = 0; i < num; i++)
	delete mVpCVBOHF[i];
    mVpCVBOHF.clear();
    mVCVBOHFSize.clear();
}

VBOBaseObject_cls* CLS::
GetPCVBO(wxSize CSize){
    uint num = mVpCVBOHF.size();
    for (uint i = 0; i < num; i++){
	if (CSize == mVCVBOHFSize[i])
	    return mVpCVBOHF[i];
    }

    mVpCVBOHF.push_back(new VBOBaseObject_cls);
    mVCVBOHFSize.push_back(CSize);

    return mVpCVBOHF[num];
}

VBOHFProvider_cls *GpCVBOHFProvider = NULL;



