// (setq c-basic-offset 4)
// "clsGraphNaviCurrent.cpp"

#ifndef _GRAPH_COLOR_CURVE_H_
#define _GRAPH_COLOR_CURVE_H_

#include "../TIMELINE/clsTimelineBase.h"

#include <wx/wx.h>
#include <wx/dcbuffer.h>

class EditorBase_cls;
class ColorCurve_cls;

class GraphColorCurve_cls : public TimelineBase_cls {
public:
    GraphColorCurve_cls(EditorBase_cls *pCParent);

    EditorBase_cls *mpCParent;
    wxSize mCSize;
    wxString mstrCounterDrawed;
    
    ColorCurve_cls *mpCColorCurveDrawed;

    //double mTLRegionMinDrown, mTLRegionMaxDrown;

    void CheckRefresh();
    void UpdateDisplay();

    void OnPaint(wxPaintEvent& event);
    //void OnMouse(wxMouseEvent& event);
    void OnSize(wxSizeEvent& event);
    void OnBtnRight(wxMouseEvent& event);

private:
    DECLARE_EVENT_TABLE()
};

#endif
