// (setq c-basic-offset 4)
// "clsGraphNaviCurrent.cpp"

#ifndef _GRAPH_NAVI_CURRENT_H_
#define _GRAPH_NAVI_CURRENT_H_

#include "../TIMELINE/clsTimelineBase.h"

#include <wx/wx.h>
#include <wx/dcbuffer.h>

class EditorBase_cls;

class GraphNaviCurrent_cls : public TimelineBase_cls {
public:
    GraphNaviCurrent_cls(EditorBase_cls *pCParent);
    
    EditorBase_cls *mpCParent;
    wxIcon mCIcon;//, mCIconMin, mCIconMax, mCIconRegion;

    wxBitmap mCBitmapTextBuffer;
    wxMemoryDC mCMemoryDCTextBuffer;
    
    void DrawStr(wxAutoBufferedPaintDC &dc, int pos, wxString strMes);
    void UpdateDisplay(wxAutoBufferedPaintDC &dc);

    void OnPaint(wxPaintEvent& event);
    void OnMouse(wxMouseEvent& event);
    void ProcMouseRelease();
    
private:
    DECLARE_EVENT_TABLE()
};

#endif
