// (setq c-basic-offset 4)
// "clsPropertyBase.h"

#ifndef _PROPERTY_BASE_H
#define _PROPERTY_BASE_H

#include "../../COMMON/clsGetPC.h"
#include "../../CONFITEM/clsConfItem.h"
#include "../../FILEIO/clsParser.h"

#include "../../COMMON/CommonDefinitionsWX.h"

class Property_cls;
class SceneObj_cls;
class MNumPainBase_cls;

class PropertyBase_cls : public Parser_cls, public GetPC_cls {
 public:
    PropertyBase_cls(Property_cls *pCParent);
    Property_cls *mpCParent;

    ConfItemSTR_cls mCstrLinkedObject;
    ConfItemBOOL_cls mCbPinned;
    wxStaticText *mpCLinkedObject;

    wxBoxSizer *mpCBoxSizerSrc;
    MNumPainBase_cls *mpCPain;
    
    virtual void Reconnect() = 0;
    virtual void UpdatePanels(const wxString& strPanelTag) = 0;

    MNumPainBase_cls *GetPCNewPain(wxWindow *pCParent, bool bPanelForObject = TRUE);
    SceneObj_cls* GetPCLinkedObj();

    wxBoxSizer *GetNewPCBoxSizerInfoWithItems(wxWindow *pCParent);

    std::vector < float > GetColorFromDialog(wxColour CInitColor);
    
    void ProcAfterMathProperty(const wxString& strCommand, wxString strTag, bool bForce);
};

#endif
