// (setq-c-offset 4)
// "clsVolumeDownsize.cpp"

#ifndef _VOLUME_DOWNSIZE_H
#define _VOLUME_DOWNSIZE_H

#include "clsModifierBase.h"

class MultiInputPanel_cls;
class VolumeDownsizeBuffer_cls;

class VolumeDownsize_cls : public ModifierBase_cls {
 public:
    VolumeDownsize_cls(wxString strName, wxString strObjName);

    ConfItemINT_cls mCDownsizeX, mCDownsizeY, mCDownsizeZ;

    void SyncFromBuffer(VolumeDownsizeBuffer_cls *pCBuffer, SceneObj_cls *pCObj);
};

class VolumeDownsizeBuffer_cls : public ModifierBase_cls {
 public:
    VolumeDownsizeBuffer_cls(VolumeDownsize_cls *pCSrc);

    VolumeDownsize_cls *mpCSrc;

    ConfItemINT_cls mCDownsizeX, mCDownsizeY, mCDownsizeZ;

    MultiInputPanel_cls *mpCMNumPanelLink;
    MultiInputPanel_cls *GetPCNewPanel(wxWindow *pCWindow);
    void SyncFromSrc();
    void ForceSrcToSyncBuffer(SceneObj_cls *pCObj);
};

#endif
