// "clsMainGLCanvas.h"
// (setq c-basic-offset 4)

#include "clsGLSL.h"

#include "../COMMON/CommonDefinitionsGL.h"
#include "../COMMON/CommonDefinitions.h"

#define CLS GLSL_cls

#ifdef WIN32
PFNGLATTACHSHADERPROC glAttachShader = NULL;
PFNGLBINDATTRIBLOCATIONPROC glBindAttribLocation = NULL;
PFNGLBLENDEQUATIONSEPARATEPROC glBlendEquationSeparate = NULL;
PFNGLCOMPILESHADERPROC glCompileShader = NULL;
PFNGLCREATEPROGRAMPROC glCreateProgram = NULL;
PFNGLCREATESHADERPROC glCreateShader = NULL;
PFNGLDELETEPROGRAMPROC glDeleteProgram = NULL;
PFNGLDELETESHADERPROC glDeleteShader = NULL;
PFNGLDETACHSHADERPROC glDetachShader = NULL;
PFNGLDISABLEVERTEXATTRIBARRAYPROC glDisableVertexAttribArray = NULL;
PFNGLDRAWBUFFERSPROC glDrawBuffers = NULL;
PFNGLENABLEVERTEXATTRIBARRAYPROC glEnableVertexAttribArray = NULL;
PFNGLGETACTIVEATTRIBPROC glGetActiveAttrib = NULL;
PFNGLGETACTIVEUNIFORMPROC glGetActiveUniform = NULL;
PFNGLGETATTACHEDSHADERSPROC glGetAttachedShaders = NULL;
PFNGLGETATTRIBLOCATIONPROC glGetAttribLocation = NULL;
PFNGLGETPROGRAMINFOLOGPROC glGetProgramInfoLog = NULL;
PFNGLGETPROGRAMIVPROC glGetProgramiv = NULL;
PFNGLGETSHADERINFOLOGPROC glGetShaderInfoLog = NULL;
PFNGLGETSHADERIVPROC glGetShaderiv = NULL;
PFNGLGETSHADERSOURCEPROC glGetShaderSource = NULL;
PFNGLGETUNIFORMFVPROC glGetUniformfv = NULL;
PFNGLGETUNIFORMIVPROC glGetUniformiv = NULL;
PFNGLGETUNIFORMLOCATIONPROC glGetUniformLocation = NULL;
PFNGLGETVERTEXATTRIBDVPROC glGetVertexAttribdv = NULL;
PFNGLGETVERTEXATTRIBFVPROC glGetVertexAttribfv = NULL;
PFNGLGETVERTEXATTRIBIVPROC glGetVertexAttribiv = NULL;
PFNGLGETVERTEXATTRIBPOINTERVPROC glGetVertexAttribPointerv = NULL;
PFNGLISPROGRAMPROC glIsProgram = NULL;
PFNGLISSHADERPROC glIsShader = NULL;
PFNGLLINKPROGRAMPROC glLinkProgram = NULL;
PFNGLSHADERSOURCEPROC glShaderSource = NULL;
PFNGLSTENCILFUNCSEPARATEPROC glStencilFuncSeparate = NULL;
PFNGLSTENCILMASKSEPARATEPROC glStencilMaskSeparate = NULL;
PFNGLSTENCILOPSEPARATEPROC glStencilOpSeparate = NULL;
PFNGLUNIFORM1FPROC glUniform1f = NULL;
PFNGLUNIFORM1FVPROC glUniform1fv = NULL;
PFNGLUNIFORM1IPROC glUniform1i = NULL;
PFNGLUNIFORM1IVPROC glUniform1iv = NULL;
PFNGLUNIFORM2FPROC glUniform2f = NULL;
PFNGLUNIFORM2FVPROC glUniform2fv = NULL;
PFNGLUNIFORM2IPROC glUniform2i = NULL;
PFNGLUNIFORM2IVPROC glUniform2iv = NULL;
PFNGLUNIFORM3FPROC glUniform3f = NULL;
PFNGLUNIFORM3FVPROC glUniform3fv = NULL;
PFNGLUNIFORM3IPROC glUniform3i = NULL;
PFNGLUNIFORM3IVPROC glUniform3iv = NULL;
PFNGLUNIFORM4FPROC glUniform4f = NULL;
PFNGLUNIFORM4FVPROC glUniform4fv = NULL;
PFNGLUNIFORM4IPROC glUniform4i = NULL;
PFNGLUNIFORM4IVPROC glUniform4iv = NULL;
PFNGLUNIFORMMATRIX2FVPROC glUniformMatrix2fv = NULL;
PFNGLUNIFORMMATRIX3FVPROC glUniformMatrix3fv = NULL;
PFNGLUNIFORMMATRIX4FVPROC glUniformMatrix4fv = NULL;
PFNGLUSEPROGRAMPROC glUseProgram = NULL;
PFNGLVALIDATEPROGRAMPROC glValidateProgram = NULL;
PFNGLVERTEXATTRIB1DPROC glVertexAttrib1d = NULL;
PFNGLVERTEXATTRIB1DVPROC glVertexAttrib1dv = NULL;
PFNGLVERTEXATTRIB1FPROC glVertexAttrib1f = NULL;
PFNGLVERTEXATTRIB1FVPROC glVertexAttrib1fv = NULL;
PFNGLVERTEXATTRIB1SPROC glVertexAttrib1s = NULL;
PFNGLVERTEXATTRIB1SVPROC glVertexAttrib1sv = NULL;
PFNGLVERTEXATTRIB2DPROC glVertexAttrib2d = NULL;
PFNGLVERTEXATTRIB2DVPROC glVertexAttrib2dv = NULL;
PFNGLVERTEXATTRIB2FPROC glVertexAttrib2f = NULL;
PFNGLVERTEXATTRIB2FVPROC glVertexAttrib2fv = NULL;
PFNGLVERTEXATTRIB2SPROC glVertexAttrib2s = NULL;
PFNGLVERTEXATTRIB2SVPROC glVertexAttrib2sv = NULL;
PFNGLVERTEXATTRIB3DPROC glVertexAttrib3d = NULL;
PFNGLVERTEXATTRIB3DVPROC glVertexAttrib3dv = NULL;
PFNGLVERTEXATTRIB3FPROC glVertexAttrib3f = NULL;
PFNGLVERTEXATTRIB3FVPROC glVertexAttrib3fv = NULL;
PFNGLVERTEXATTRIB3SPROC glVertexAttrib3s = NULL;
PFNGLVERTEXATTRIB3SVPROC glVertexAttrib3sv = NULL;
PFNGLVERTEXATTRIB4BVPROC glVertexAttrib4bv = NULL;
PFNGLVERTEXATTRIB4DPROC glVertexAttrib4d = NULL;
PFNGLVERTEXATTRIB4DVPROC glVertexAttrib4dv = NULL;
PFNGLVERTEXATTRIB4FPROC glVertexAttrib4f = NULL;
PFNGLVERTEXATTRIB4FVPROC glVertexAttrib4fv = NULL;
PFNGLVERTEXATTRIB4IVPROC glVertexAttrib4iv = NULL;
PFNGLVERTEXATTRIB4NBVPROC glVertexAttrib4Nbv = NULL;
PFNGLVERTEXATTRIB4NIVPROC glVertexAttrib4Niv = NULL;
PFNGLVERTEXATTRIB4NSVPROC glVertexAttrib4Nsv = NULL;
PFNGLVERTEXATTRIB4NUBPROC glVertexAttrib4Nub = NULL;
PFNGLVERTEXATTRIB4NUBVPROC glVertexAttrib4Nubv = NULL;
PFNGLVERTEXATTRIB4NUIVPROC glVertexAttrib4Nuiv = NULL;
PFNGLVERTEXATTRIB4NUSVPROC glVertexAttrib4Nusv = NULL;
PFNGLVERTEXATTRIB4SPROC glVertexAttrib4s = NULL;
PFNGLVERTEXATTRIB4SVPROC glVertexAttrib4sv = NULL;
PFNGLVERTEXATTRIB4UBVPROC glVertexAttrib4ubv = NULL;
PFNGLVERTEXATTRIB4UIVPROC glVertexAttrib4uiv = NULL;
PFNGLVERTEXATTRIB4USVPROC glVertexAttrib4usv = NULL;
PFNGLVERTEXATTRIBPOINTERPROC glVertexAttribPointer = NULL;
#endif

#define PADDR(functype, funcname) \
  ((funcname = (functype) wglGetProcAddress( #funcname )) == 0)

CLS::
GLSL_cls(){
    mError = 0;
}

void CLS::
InitializeFunctions(){

#ifdef WIN32
    mError |= PADDR(PFNGLATTACHSHADERPROC, glAttachShader);
    mError |= PADDR(PFNGLBINDATTRIBLOCATIONPROC, glBindAttribLocation);
    mError |= PADDR(PFNGLBLENDEQUATIONSEPARATEPROC, glBlendEquationSeparate);
    mError |= PADDR(PFNGLCOMPILESHADERPROC, glCompileShader);
    mError |= PADDR(PFNGLCREATEPROGRAMPROC, glCreateProgram);
    mError |= PADDR(PFNGLCREATESHADERPROC, glCreateShader);
    mError |= PADDR(PFNGLDELETEPROGRAMPROC, glDeleteProgram);
    mError |= PADDR(PFNGLDELETESHADERPROC, glDeleteShader);
    mError |= PADDR(PFNGLDETACHSHADERPROC, glDetachShader);
    mError |= PADDR(PFNGLDISABLEVERTEXATTRIBARRAYPROC, glDisableVertexAttribArray);
    mError |= PADDR(PFNGLDRAWBUFFERSPROC, glDrawBuffers);
    mError |= PADDR(PFNGLENABLEVERTEXATTRIBARRAYPROC, glEnableVertexAttribArray);
    mError |= PADDR(PFNGLGETACTIVEATTRIBPROC, glGetActiveAttrib);
    mError |= PADDR(PFNGLGETACTIVEUNIFORMPROC, glGetActiveUniform);
    mError |= PADDR(PFNGLGETATTACHEDSHADERSPROC, glGetAttachedShaders);
    mError |= PADDR(PFNGLGETATTRIBLOCATIONPROC, glGetAttribLocation);
    mError |= PADDR(PFNGLGETPROGRAMINFOLOGPROC, glGetProgramInfoLog);
    mError |= PADDR(PFNGLGETPROGRAMIVPROC, glGetProgramiv);
    mError |= PADDR(PFNGLGETSHADERINFOLOGPROC, glGetShaderInfoLog);
    mError |= PADDR(PFNGLGETSHADERIVPROC, glGetShaderiv);
    mError |= PADDR(PFNGLGETSHADERSOURCEPROC, glGetShaderSource);
    mError |= PADDR(PFNGLGETUNIFORMFVPROC, glGetUniformfv);
    mError |= PADDR(PFNGLGETUNIFORMIVPROC, glGetUniformiv);
    mError |= PADDR(PFNGLGETUNIFORMLOCATIONPROC, glGetUniformLocation);
    mError |= PADDR(PFNGLGETVERTEXATTRIBDVPROC, glGetVertexAttribdv);
    mError |= PADDR(PFNGLGETVERTEXATTRIBFVPROC, glGetVertexAttribfv);
    mError |= PADDR(PFNGLGETVERTEXATTRIBIVPROC, glGetVertexAttribiv);
    mError |= PADDR(PFNGLGETVERTEXATTRIBPOINTERVPROC, glGetVertexAttribPointerv);
    mError |= PADDR(PFNGLISPROGRAMPROC, glIsProgram);
    mError |= PADDR(PFNGLISSHADERPROC, glIsShader);
    mError |= PADDR(PFNGLLINKPROGRAMPROC, glLinkProgram);
    mError |= PADDR(PFNGLSHADERSOURCEPROC, glShaderSource);
    mError |= PADDR(PFNGLSTENCILFUNCSEPARATEPROC, glStencilFuncSeparate);
    mError |= PADDR(PFNGLSTENCILMASKSEPARATEPROC, glStencilMaskSeparate);
    mError |= PADDR(PFNGLSTENCILOPSEPARATEPROC, glStencilOpSeparate);
    mError |= PADDR(PFNGLUNIFORM1FPROC, glUniform1f);
    mError |= PADDR(PFNGLUNIFORM1FVPROC, glUniform1fv);
    mError |= PADDR(PFNGLUNIFORM1IPROC, glUniform1i);
    mError |= PADDR(PFNGLUNIFORM1IVPROC, glUniform1iv);
    mError |= PADDR(PFNGLUNIFORM2FPROC, glUniform2f);
    mError |= PADDR(PFNGLUNIFORM2FVPROC, glUniform2fv);
    mError |= PADDR(PFNGLUNIFORM2IPROC, glUniform2i);
    mError |= PADDR(PFNGLUNIFORM2IVPROC, glUniform2iv);
    mError |= PADDR(PFNGLUNIFORM3FPROC, glUniform3f);
    mError |= PADDR(PFNGLUNIFORM3FVPROC, glUniform3fv);
    mError |= PADDR(PFNGLUNIFORM3IPROC, glUniform3i);
    mError |= PADDR(PFNGLUNIFORM3IVPROC, glUniform3iv);
    mError |= PADDR(PFNGLUNIFORM4FPROC, glUniform4f);
    mError |= PADDR(PFNGLUNIFORM4FVPROC, glUniform4fv);
    mError |= PADDR(PFNGLUNIFORM4IPROC, glUniform4i);
    mError |= PADDR(PFNGLUNIFORM4IVPROC, glUniform4iv);
    mError |= PADDR(PFNGLUNIFORMMATRIX2FVPROC, glUniformMatrix2fv);
    mError |= PADDR(PFNGLUNIFORMMATRIX3FVPROC, glUniformMatrix3fv);
    mError |= PADDR(PFNGLUNIFORMMATRIX4FVPROC, glUniformMatrix4fv);
    mError |= PADDR(PFNGLUSEPROGRAMPROC, glUseProgram);
    mError |= PADDR(PFNGLVALIDATEPROGRAMPROC, glValidateProgram);
    mError |= PADDR(PFNGLVERTEXATTRIB1DPROC, glVertexAttrib1d);
    mError |= PADDR(PFNGLVERTEXATTRIB1DVPROC, glVertexAttrib1dv);
    mError |= PADDR(PFNGLVERTEXATTRIB1FPROC, glVertexAttrib1f);
    mError |= PADDR(PFNGLVERTEXATTRIB1FVPROC, glVertexAttrib1fv);
    mError |= PADDR(PFNGLVERTEXATTRIB1SPROC, glVertexAttrib1s);
    mError |= PADDR(PFNGLVERTEXATTRIB1SVPROC, glVertexAttrib1sv);
    mError |= PADDR(PFNGLVERTEXATTRIB2DPROC, glVertexAttrib2d);
    mError |= PADDR(PFNGLVERTEXATTRIB2DVPROC, glVertexAttrib2dv);
    mError |= PADDR(PFNGLVERTEXATTRIB2FPROC, glVertexAttrib2f);
    mError |= PADDR(PFNGLVERTEXATTRIB2FVPROC, glVertexAttrib2fv);
    mError |= PADDR(PFNGLVERTEXATTRIB2SPROC, glVertexAttrib2s);
    mError |= PADDR(PFNGLVERTEXATTRIB2SVPROC, glVertexAttrib2sv);
    mError |= PADDR(PFNGLVERTEXATTRIB3DPROC, glVertexAttrib3d);
    mError |= PADDR(PFNGLVERTEXATTRIB3DVPROC, glVertexAttrib3dv);
    mError |= PADDR(PFNGLVERTEXATTRIB3FPROC, glVertexAttrib3f);
    mError |= PADDR(PFNGLVERTEXATTRIB3FVPROC, glVertexAttrib3fv);
    mError |= PADDR(PFNGLVERTEXATTRIB3SPROC, glVertexAttrib3s);
    mError |= PADDR(PFNGLVERTEXATTRIB3SVPROC, glVertexAttrib3sv);
    mError |= PADDR(PFNGLVERTEXATTRIB4BVPROC, glVertexAttrib4bv);
    mError |= PADDR(PFNGLVERTEXATTRIB4DPROC, glVertexAttrib4d);
    mError |= PADDR(PFNGLVERTEXATTRIB4DVPROC, glVertexAttrib4dv);
    mError |= PADDR(PFNGLVERTEXATTRIB4FPROC, glVertexAttrib4f);
    mError |= PADDR(PFNGLVERTEXATTRIB4FVPROC, glVertexAttrib4fv);
    mError |= PADDR(PFNGLVERTEXATTRIB4IVPROC, glVertexAttrib4iv);
    mError |= PADDR(PFNGLVERTEXATTRIB4NBVPROC, glVertexAttrib4Nbv);
    mError |= PADDR(PFNGLVERTEXATTRIB4NIVPROC, glVertexAttrib4Niv);
    mError |= PADDR(PFNGLVERTEXATTRIB4NSVPROC, glVertexAttrib4Nsv);
    mError |= PADDR(PFNGLVERTEXATTRIB4NUBPROC, glVertexAttrib4Nub);
    mError |= PADDR(PFNGLVERTEXATTRIB4NUBVPROC, glVertexAttrib4Nubv);
    mError |= PADDR(PFNGLVERTEXATTRIB4NUIVPROC, glVertexAttrib4Nuiv);
    mError |= PADDR(PFNGLVERTEXATTRIB4NUSVPROC, glVertexAttrib4Nusv);
    mError |= PADDR(PFNGLVERTEXATTRIB4SPROC, glVertexAttrib4s);
    mError |= PADDR(PFNGLVERTEXATTRIB4SVPROC, glVertexAttrib4sv);
    mError |= PADDR(PFNGLVERTEXATTRIB4UBVPROC, glVertexAttrib4ubv);
    mError |= PADDR(PFNGLVERTEXATTRIB4UIVPROC, glVertexAttrib4uiv);
    mError |= PADDR(PFNGLVERTEXATTRIB4USVPROC, glVertexAttrib4usv);
    mError |= PADDR(PFNGLVERTEXATTRIBPOINTERPROC, glVertexAttribPointer);
#endif
}

GLSL_cls* GpCGLSL = NULL;
