// -*- c++ -*- 
// "clsGLTexture.cpp"
// (setq c-basic-offset 4)

#ifndef _GLTEXTURE_H_
#define _GLTEXTURE_H_

#include "clsTextureBase.h"

#include <wx/wx.h>

class GLTexture_cls : public TextureBase_cls {
 public:
    GLTexture_cls();
    ~GLTexture_cls();

    wxBitmap*   mpCBitmap;
    wxMemoryDC* mpCMemoryDC;
    wxString mstrImageLoaded;
    
    static wxImage msCImgWorkSpace, msCImgWorkSpaceDW;
    
    wxMemoryDC* BeginDC(int width, int height);
    void EndDC(bool bUseAlpha, bool bFlip);
    bool LoadImage(wxString strFile, bool bFlip = FALSE, wxImage &CImg = msCImgWorkSpace, wxImage &CImgDW = msCImgWorkSpaceDW);
    void glTexImage2D_RGBSafe(const wxImage &CImg);
    void CopyFromImage(const wxImage &CImg);
    void CopyFromImage16bit(const wxImage &CImg, const wxImage &CImgDW);
    void CopyFromDataRGBA(unsigned char *pData, int width, int height);
    void CopyFromDataRGBA16(unsigned short *pData, int width, int height);
    void CopyFromDataRGBA16HF(unsigned short *pData, int width, int height);
    void CopyFromDataFloat(float *pData, int width, int height);
};

#endif
