// "clsMatrix2D.h"
// (setq c-basic-offset 4)

#include "clsMatrix2D.h"

#include "../COMMON/CommonDefinitionsGL.h"

#define CLS Matrix2D_cls

void CLS::
Push2DMatrix(int width, int height){
    //if (width == -1) width = mWidthTex;
    //if (height == -1) height = mHeightTex;
    glMatrixMode(GL_PROJECTION);
    glPushMatrix();
    glViewport( 0, 0, width, height);
    glLoadIdentity();
    gluOrtho2D(0, width, 0, height);
    glMatrixMode(GL_MODELVIEW);
    glPushMatrix();
    glLoadIdentity();
}

void CLS::
Pop2DMatrix(){
    glPopMatrix();
    glMatrixMode(GL_PROJECTION);
    glPopMatrix();
    glMatrixMode(GL_MODELVIEW); 
}

