// "clsTextureBase.h"
// (setq c-basic-offset 4)

#ifndef _TEXTURE_BASE_BASE_H_
#define _TEXTURE_BASE_BASE_H_

class TextureBaseBase_cls {
 public:
    TextureBaseBase_cls(int textureDimension);
    ~TextureBaseBase_cls();

    int mTextureDimension;

    int    mTagCounter;
    int    mDepth;
    int    mMinFilter, mMagFilter;
    int    mMinFilterUsed, mMagFilterUsed;

    unsigned int mTextureID;
    int mTexWrap, mTexWrapUsed;
    int mWidthTex, mHeightTex; //eNX`̎TCY

    bool ClearImage();
    int  GetByte();
    
    void SetAlignment(int width);

    void GenerateAndBindTexture();
    void BindTexture();

    void SetEmptyImage();

};

#endif 
