// -*- c++ -*- 
// "clsTexturePrivoder.cpp"
// (setq c-basic-offset 4)

#ifndef _TEXTURE_PROVIDER_H_
#define _TEXTURE_PROVIDER_H_

#include "clsTextureProviderBase.h"

#include "../COMMON/clsGetPC.h"
#include "../FILEIO/clsAsciiReader.h"

#include <wx/wx.h>
#include <vector>

class GLTexture_cls;

class TextureProvider_cls : public TextureProviderBase_cls {
public:
    TextureProvider_cls();
    ~TextureProvider_cls();

    std::vector < GLTexture_cls* > mVpCGLTexture;

    void ClearAll();
    void ReleaseOldImages();
    
    wxSize GetTextureSize(int index);
    
    int  BindTexture(wxString strImagePath); //indexԂ
    void BindBlankTexture(bool bWhite = TRUE, int active = 0);
};

#endif
