// -*- c++ -*- 
// "clsTexturePrivoder.cpp"
// (setq c-basic-offset 4)

#ifndef _TEXTURE_PROVIDER_1D_H_
#define _TEXTURE_PROVIDER_1D_H_

#include "clsTextureProviderBase.h"

#include <wx/wx.h>
#include <vector>

class GLTexture1D_cls;

class TextureProvider1D_cls : public TextureProviderBase_cls {
 public:
    TextureProvider1D_cls();
    ~TextureProvider1D_cls();
    
    std::vector < GLTexture1D_cls* > mVpCGLTexture;

    void ClearAll();

    unsigned char* GetPNewColorData(wxString strColor);
    int  BindTexture1D(wxString strImagePath);
    void BindColorTexture1D(float R, float G, float B, float A, int active = 0);
};

#endif
