// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsPreference.cpp"

#ifndef _PREFERENCE_H_
#define _PREFERENCE_H_

#include "../CONFITEM/clsConfItem.h"
#include "../CONFITEM/clsConfListContainer.h"
#include "../WIDGETCTRL/MULTIINPUT/clsFrameEXController.h"

class PreferenceGUI_cls;

class Preference_cls : public FrameEXController_cls, public ConfListContainer_cls { 
public:
    Preference_cls();

    void SetToDefaultParam();

    ConfItemUINT_cls mCGZQuality;
    ConfItemUINT_cls mCShortcutTemplate;
    ConfItemUINT_cls mCTextShortcutTemplate;
    ConfItemUINT_cls mCGLDepthIndex;
    ConfItemFLOAT_cls mCGLDepthMin, mCGLDepthMax;
    ConfItemINT_cls mCMemoryLimitMB;
    ConfItemINT_cls mCMemoryLimitTexMB;
    ConfItemINT_cls mCPrefetchLength;
    ConfItemINT_cls mCParticleMax;
    ConfItemINT_cls mCParticleVBOMax;
    ConfItemBOOL_cls mCbRelativePath;
    ConfItemINT_cls mCParamForDebugINT;
    ConfItemBOOL_cls mCbToolTip;
    ConfItemSTR_cls mCstrTest;
    ConfItemINT_cls mCSizeTemplateType;
    
    PreferenceGUI_cls* GetPCGUI();
    void InitGUI();
    void UpdatePanels(wxString strPanelTag);
};

#endif
