// -*- c -*-
// "clsDrawVolumeBox.cpp"

#ifndef _DRAW_VOLUME_BOX_H
#define _DRAW_VOLUME_BOX_H

#include "../../COMMON/clsGetPC.h"
#include "../../MYGL/clsPosition.h"


class PositionEX_cls : public Position_cls{
 public:
    PositionEX_cls(double posX, double posY, double posZ, unsigned int index);
    PositionEX_cls(const PositionEX_cls &CPos);
    
    unsigned int mIndex;
    double mAngleTan;
};

bool operator<(const PositionEX_cls& CLeft, const PositionEX_cls& CRight);

// --------------

class DrawVolumeBox_cls : public GetPC_cls {
 public:
    std::vector < std::vector < Position_cls > > mVVCIntersect; 

    float CalcAllSlices(Direction_cls CCam, int quality,
			double clipBoxMin[3], double clipBoxMax[3]);
    void CalcSingleSlice(Direction_cls CCam, double basePos[3],
			 double clipBoxMin[3], double clipBoxMax[3]);

    void   DrawAllSliceLineForDebug(int quality);
    void   DrawAllSlice(int quality, float alpha);
    void   DrawSingleSlice(int index);
};

#endif

