// (setq-c-offset 4)
// "clsMaterial.cpp"

#ifndef _MATERIAL_STREAMLINE_H
#define _MATERIAL_STREAMLINE_H

#include "../clsAttribute.h"
#include "../clsMaterialOption.h"
#include "../clsMaterialTexture.h"

class MNumPainBase_cls;
class MultiInputPanel_cls;

class MaterialStreamline_cls : public Attribute_cls, public MaterialOption_cls, public MaterialTexture_cls {
 public:
    MaterialStreamline_cls(wxString strName, wxString strObjName);
    ~MaterialStreamline_cls();

    ConfItemSTR_cls mCCustomName;
    ConfItemUINT_cls mCClrCurveDependType;
    ConfItemUINT_cls mCBlendType;
    ConfItemUINT_cls mCMappingType;
    
    // ȉ̗vf́AGUIɐH킹邽߂̉ϐȂ̂Œ
    ConfItemFLOATARRAY_cls mCEmit;
    ConfItemFLOAT_cls mCAlphaFactor;

    int mIndexEmit, mIndexBtnEmit;

    wxString mstrMNumName;

    MultiInputPanel_cls* GetPCNewPanelMaterial
	(wxWindow *pCWindow, wxString strAttrib, int indexMat, 
	 bool bEnableAdd, bool bEnableDelete);
    bool HideAndShowMaterial(MultiInputPanel_cls *pCMNum);
    
    void SyncConfListTag(wxString strObj);
    void SyncMaterialStreamline(wxString strObj);

    void SetGLColor(double NT, bool bUseAlpha = TRUE);
    virtual void SetBlendFunc();
    //void SetDepthMask();
    
    void UpdateButtonColor(MNumPainBase_cls *pCPain);
    void SetMaterialInfo();

    bool ReadStrLine(std::wistream &istream, wxString strFirstItem, wxString strLine);
    void Serialize(wxString& strOut);
};

#endif
