// (setq-c-offset 4)
// "clsViewerClone.cpp"

#include "clsViewerClone.h"

#include "../../COMMON/CommonDefinitions.h"

#define CLS ViewerClone_cls

CLS::
ViewerClone_cls(){
    mbDeleteConfListAtDestroyer = TRUE;
}

CLS::
~ViewerClone_cls(){
    uint attribNum = mVpCAttribClone.size();
    for (uint i = 0; i < attribNum; i++)
	delete mVpCAttribClone[i];
}

int CLS::
GetNumAttribute(wxString strAttribName){
    int count = 0;
    uint attribNum = mVpCAttribClone.size();
    for (uint i = 0; i < attribNum; i++){
	if (mVpCAttribClone[i]->GetStrAttributeName().IsSameAs(strAttribName))
	    count++;
    }
    return count;
}

AttributeClone_cls* CLS::
GetPCAttribCloneFromAttribName(wxString strAttribName, int skip){
    int count = 0;
    uint numAttrib = mVpCAttribClone.size();
    for (uint i = 0; i < numAttrib; i++){
	if (mVpCAttribClone[i]->GetStrAttributeName().IsSameAs(strAttribName)){
	    AttributeClone_cls *pCAttrib = mVpCAttribClone[i];
	    if (count >= skip)
		return pCAttrib;
	    count++;
	}
    }
    return NULL;
}

ParamGroup_cls* CLS::
GetPCParamGroup(wxString strAttribName, wxString strParamGroup){
    uint attribNum = mVpCAttribClone.size();
    for (uint i = 0; i < attribNum; i++){
	if (mVpCAttribClone[i]->mCstrName.GetBodySTR().IsSameAs(strAttribName)){
	    
	    //J[J[u̎ strFirstItem == attrib = paramGroup
	    if (strParamGroup.IsEmpty() == TRUE){
		ParamGroup_cls *pCParamGrpup = mVpCAttribClone[i]->GetPCParamGroup(strAttribName);
		if (pCParamGrpup != NULL) return pCParamGrpup;
		return NULL;
	    }
	    
	    //łȂƂ́ÃACe paramGroup
	    return mVpCAttribClone[i]->GetPCParamGroup(strParamGroup);
	}
    }
    return NULL;
}
