// (setq-c-offset 4)
// "clsFocalBlurProp.cpp"

#ifndef _FOCAL_BLUR_PROP_H
#define _FOCAL_BLUR_PROP_H

#include "../clsAttribute.h"

class PositionAndDirection_cls;

#define _FOCUS_NUMERICAL  0
#define _FOCUS_ORIGIN     1
#define _FOCUS_OBJECT     2
#define _FOCUS_STEROFOCUS 3
#define _FOCAL_BLUR_MAX   4

class StereoProp_cls;

class FocalBlurProp_cls : public Attribute_cls {
 public:
    FocalBlurProp_cls(wxString strName, wxString strParentClassName,
		      StereoProp_cls *pCSteroProp);
    StereoProp_cls *mpCStereoPropLink;

    ConfItemBOOL_cls mCbUseFocalBlur;
    ConfItemFLOAT_cls mCSize;
    ConfItemFLOAT_cls mCDistance;
    ConfItemUINT_cls mCFocusType;
    ConfItemSTR_cls mCstrFocusObj;

    float GetFocalDistance(PositionAndDirection_cls &CCam, double nt);
    float GetWidthBase(double nt);
    void BlurRotate(PositionAndDirection_cls &CCam, int ensemble, double nt);

    void SyncronizeParam(wxString strObj);
    void SyncronizeConf(double time);
};

#endif 
