// (setq-c-offset 4)
// "clsStereoProp.cpp"

#ifndef _STEREO_PROP_H
#define _STEREO_PROP_H

#include "../clsAttribute.h"

#define _STEREO_NONE    0
#define _STEREO_OFFAXIS 1
#define _STEREO_TOEIN   2

#define _STEREO_LFT         1
#define _STEREO_RGT         2
#define _STEREO_SCANLINE    3
#define _STEREO_RED_CYAN    4
#define _STEREO_YELLOW_BLUE 5
#define _STEREO_SIDEBYSIDE  6
#define _STEREO_QUADBUFFER  7

class PositionAndDirection_cls;

class StereoProp_cls : public Attribute_cls {
 public:
    StereoProp_cls(wxString strName, wxString strParentClassName);
    ConfItemUINT_cls mCStereoType;
    ConfItemUINT_cls mCEyeType;
    ConfItemFLOAT_cls mCParallax;
    ConfItemFLOAT_cls mCToeInAngle;

    int GetStereoNum();
    int GetEyeType();
    float GetStereoFocusDistance(double nt);
    void StereoRotate(PositionAndDirection_cls &CCam, int stereo, double nt);

    void SyncronizeParam(wxString strObj);
    void SyncronizeConf(double time);
};

#endif
