// (setq-c-offset 4)
// "clsMaterialOption.cpp"

#ifndef _MATERIAL_OPTION_H
#define _MATERIAL_OPTION_H

#include "../COMMON/clsGetPC.h"

#include "../CONFITEM/clsConfItem.h"

class MultiInputPanel_cls;

class MaterialOption_cls : virtual public GetPC_cls {
public:
    MaterialOption_cls();
    void AddItemToConfList(ConfItemList_cls &CConfList, wxString strUpdate);

    bool mbUseBlendType;
    ConfItemUINT_cls mCBlendType; 
    ConfItemBOOL_cls mCbAdditive; 
    ConfItemBOOL_cls mCbCullBack;
    ConfItemBOOL_cls mCbDepthMask;
    ConfItemBOOL_cls mCbWireframe;
    
    void SetAlphaBlendFunc();
    void SetBlendFunc();
    void SetDepthMask();
   
    MultiInputPanel_cls* GetPCNewPanelOption
	(wxWindow *pCWindow, bool bLine1 = TRUE, bool bLine2 = TRUE);
};

#endif
