// (setq-c-offset 4)
// "clsMaterialOption.cpp"

#ifndef _MATERIAL_TEXTURE_H
#define _MATERIAL_TEXTURE_H

#include "../CONFITEM/clsConfItem.h"

class ImageSequence_cls;
class MultiInputPanel_cls;

class MaterialTexture_cls : virtual public GetPC_cls {
public:
    MaterialTexture_cls();
    ~MaterialTexture_cls();

    ImageSequence_cls *mpCImageSequence;
    wxString mstrPathChecked;
    
    void AddItemToConfList(ConfItemList_cls &CConfList, wxString strUpdate);

    ConfItemSTR_cls mCstrTexturePath;
    ConfItemINT_cls mCTextureOffset;
    ConfItemBOOL_cls mCbUseTexture;
    ConfItemBOOL_cls mCbTextureSequence;
    ConfItemUINT_cls mCMapping;
    ConfItemUINT_cls mCTexFilter;
    ConfItemUINT_cls mCTexWrap;

    int mIndexTextureOffset;
    int mIndexMapping, mIndexInterpolate;

    void CheckFileSequence();
    void CheckTextureSequence();

    bool BindTexture(int frame = -1);
        
    MultiInputPanel_cls* GetPCNewPanelTexture
	(wxWindow *pCWindow, ConfItemSTR_cls &CDummySTR,
	 int &indexTexturePath);
    //MultiInputPanel_cls* GetPCNewPanelTexture(wxWindow *pCWindow);
};

#endif
