// (setq c-basic-offset 4)
// "clsSceneObjViewerBase.cpp"

#ifndef _SCENEOBJ_VEIWER_BASE_H_
#define _SCENEOBJ_VEIWER_BASE_H_

#include <wx/wx.h>
#include <vector>

class wxPanelEX;

class SceneObjViewerBase_cls {
 public:
    SceneObjViewerBase_cls();

    wxArrayString mAstrDisplayedItem;
    std::vector < wxRect > mADisplayedRect;
    
    wxObjectEventFunction mFuncRenamer;
    wxObjectEventFunction mFuncRenamerFocus;
    wxObjectEventFunction mFuncRenamerKey;
    
    bool mbKillRenamer;
    bool mbRename;
    wxTextCtrl *mpCRenamer;
    wxMenu *mpCPopupMenu;

    int  GetItemIndexByName(wxString strName);
    void ConstructRenameTextCtrl(wxWindow *pCParent, int fontsize, wxPanelEX *pCPanelEX);

    void ProcessRename();
    void ProcRenamer(wxCommandEvent& event);
    void ProcRenamerFocus(wxFocusEvent& event);
    void ProcRenamerKey(wxKeyEvent& event);
    void ProcIdle(wxWindow *pCParent, wxPanelEX *pCPanelEX);
};

#endif
