// (setq-c-offset 4)
// "clsWorld.cpp"

#ifndef _WORLD_H
#define _WORLD_H

#include "clsSceneObj.h"

class FogProp_cls;
class MultiInputPanel_cls;
class MNumPainBase_cls;

class World_cls : public SceneObj_cls {
public:
    World_cls(ParentObj_cls *pCParentObj, wxString strName);
    ~World_cls();

    FogProp_cls *mpCFogProp;

    int mIndexColor, mIndexBtnColor;
    int mIndexDistance;
    int mIndexOverwriteColor;

    static int msSVSampleNum;

    void SyncPropWorld();
    void SetPropInfo();

    MultiInputPanel_cls *GetPCNewPanelFog(wxWindow *pCWindow);
    bool HideAndShow(MultiInputPanel_cls *pC);
    bool HideAndShowFog(MultiInputPanel_cls *pC);
    void UpdateButtonColor(MNumPainBase_cls *pCPain);

    void GetFogColor(float clr[3]);
    void SetFog(bool bXRay);
    void GLDraw(bool bXRay);
    
    bool ReadStrLineFog(std::wistream &istream, wxString strFirstItem, wxString strLine);
    void SerializeFog(wxString& strOut);
    
};

#endif
