// (setq-c-offset 4)
// "clsStreamlineForRender.cpp"

#ifndef _STREAMLINE_FOR_RENDER_INTERP_THREAD_H
#define _STREAMLINE_FOR_RENDER_INTERP_THREAD_H

#include "../clsArrayAndIndex.h"

#include "../../COMMON/clsThreadCommon.h"

#include "../../MYGL/clsPosition.h"

class StreamlineSnap_cls;

class ThreadStreamlineInterp_cls : public ThreadInstance_cls {
public:
    void SetParameters
	(StreamlineSnap_cls *pCSnap1, StreamlineSnap_cls *pCSnap2,
	 double factor,
	 float (*pPos)[3], float *pU, float *pValue, int *pLineIndex);
    /*
    void SetParametersTime
	(double NT, int frame, int subFrame, int seq);
    */

    StreamlineSnap_cls *mpCSnap1, *mpCSnap2;
    double mFactor;

    float (*mpPos)[3];
    float *mpU;
    float *mpValue;
    int   *mpLineIndex;

    virtual ExitCode Entry();

};

#endif
