// -*- c -*- 
// "clsParticleAsciiRead.cpp"

#ifndef _PARTICLE_ASCII_READ_H
#define _PARTICLE_ASCII_READ_H

#include "clsParticleReadBase.h"

#include "../../COMMON/clsGetPC.h"
#include "../../WIDGETCTRL/clsWidgetCommon.h"

class ParticleSnap_cls;
class ParticleFormatClone_cls;

class ThreadParticleAsciiRead : public ParticleReadBase_cls, public WidgetCommon_cls, public GetPC_cls {
public:
    
    bool SetParameters(bool *pbFinishedFlagLink, ParticleSnap_cls *pCSnap,
		       ParticleFormatClone_cls *pCFormatClone);
    wxString mstrFile;
    
    ParticleFormatClone_cls *mpCFormatClone;

    void ReadBodyStreamVertical(ParticleFormatClone_cls *pCFormatClone,
				std::istream &istream);
    void ReadBodyStream(ParticleFormatClone_cls *pCFormatClone,
			std::istream &istream);
    void ReadBodyAscii(ParticleFormatClone_cls *pCFormatClone);
    
    virtual ExitCode Entry();
    void DummyEntry();
   
};

#endif
