// -*- c -*- 
// "clsDF3Read.cpp"

#ifndef _PARTICLE_BINARY_READ_H
#define _PARTICLE_BINARY_READ_H

#include "clsParticleReadBase.h"

#include "../../COMMON/clsGetPC.h"
#include "../../WIDGETCTRL/clsWidgetCommon.h"

class ParticleSnap_cls;
class ParticleFormat_cls;
class ParticleFormatClone_cls;

class ThreadParticleBinaryRead : public ParticleReadBase_cls, public WidgetCommon_cls, public GetPC_cls {
public:
    
    bool SetParameters(bool *pbFinishedFlagLink, ParticleSnap_cls *pCSnap,
		       //ParticleFormat_cls *pCFormat,
		       ParticleFormatClone_cls *pCFormatClone);
    wxString mstrFile;

    //ParticleFormat_cls *mpCFormat;
    ParticleFormatClone_cls *mpCFormatClone;

    void ReadBodyStreamVertical(ParticleFormatClone_cls *pCFormatClone,
				//ParticleFormat_cls *pCFormat, 
				std::istream &istream);
    void ReadBodyStream(ParticleFormatClone_cls *pCFormatClone,
			//ParticleFormat_cls *pCFormat, 
			std::istream &istream);
    void ReadBodyBinary(ParticleFormatClone_cls *pCFormatClone/*,
								ParticleFormat_cls *pCFormat*/);
    
    virtual ExitCode Entry();
    void DummyEntry();
   
};

#endif
