// -*- c -*- 
// "clsStreamlineAsciiRead.cpp"

#ifndef _STREAMLINE_ASCII_READ_H
#define _STREAMLINE_ASCII_READ_H

#include "clsStreamlineReadBase.h"

#include "../../COMMON/clsGetPC.h"
#include "../../WIDGETCTRL/clsWidgetCommon.h"

class StreamlineSnap_cls;
class StreamlineFormatClone_cls;

class ThreadStreamlineAsciiRead : public StreamlineReadBase_cls, public WidgetCommon_cls, public GetPC_cls {
public:
    
    bool SetParameters(bool *pbFinishedFlagLink, StreamlineSnap_cls *pCSnap,
		       StreamlineFormatClone_cls *pCFormatClone);
    wxString mstrFile;
    
    StreamlineFormatClone_cls *mpCFormatClone;

    /*
    void ReadBodyStreamVertical(StreamlineFormatClone_cls *pCFormatClone,
				std::istream &istream);
    */
    void ReadBodyStreamVer0(StreamlineFormatClone_cls *pCFormatClone,
			    std::istream &istream);
    void ReadBodyStreamVer1(StreamlineFormatClone_cls *pCFormatClone,
			    std::istream &istream);
    void ReadBodyStream(StreamlineFormatClone_cls *pCFormatClone,
			std::istream &istream);
    void ReadBodyAscii(StreamlineFormatClone_cls *pCFormatClone);
    
    virtual ExitCode Entry();
    void DummyEntry();
   
};

#endif
