// -*- c -*- 
// "clsDataSnap.h"

#include "clsDataSnap.h"
#include "clsDataSequence.h"

#include <wx/wx.h>

#define CLS DataSnap_cls

CLS::
DataSnap_cls(DataSequence_cls* pCParent, int type, int index){
    mpCParent = pCParent;
    mDataType = type;
    mSelfIndex = index;
    mbReadStarted = FALSE;
    mbReadFinished = FALSE;
    mDrawCounter = -1;
    mDistanceToCurrent = -1;
    mbPriority = FALSE;
}

CLS::
~DataSnap_cls(){
}

bool CLS::
IsReading(){
    if (mbReadStarted == TRUE && mbReadFinished == FALSE)
	return TRUE;
    return FALSE;
}

void CLS::
WaitReadingThread(int millisleep){
    if (mbReadStarted == FALSE) return;
    while (mbReadFinished == FALSE) wxMilliSleep(millisleep);
    
    return;
}
 
void CLS::   
MarkDraw(){
    mDrawCounter = mpCParent->mDrawCounter;
    mpCParent->mDrawCounter++;
}
