// -*- c -*- 
// "clsStreamlineFormat.h"

#include "clsStreamlineFormat.h"

#include "../SCENEOBJ/clsSceneObjCtrl.h"
#include "../SCENEOBJ/DATAVIEWER/clsStreamline.h"
#include "../WIDGETCTRL/MULTIINPUT/clsMultiInputPanel.h"
#include "../WIDGETCTRL/MULTIINPUT/clsMNumPainBase.h"

#include "../COMMON/CommonDefinitions.h"


#include "../../wxWidgetEnum.h"

#define CLS StreamlineFormatClone_cls

CLS::
~StreamlineFormatClone_cls(){
    mCConfList.DeleteAllItems();
}

void CLS::
CloneFromFormat(StreamlineFormat_cls &CFormat){
    
    CloneConfListFrom(CFormat);
}

#define CLS StreamlineFormat_cls

CLS::
StreamlineFormat_cls(Streamline_cls *pCParentStreamline, wxString strObj){

    mpCParentStreamline = pCParentStreamline;

    SyncConfListTag(strObj);
    mCConfList.Add(&mCVersion, "Version=", "0", "PROPERTY_FORMAT");
}

void CLS::
SyncConfListTag(wxString strObj){
    wxString strConfListLabel = "SceneObj::";  strConfListLabel << strObj << "::" << "Format";
    mCConfList.SetTag(strConfListLabel);
}

MultiInputPanel_cls* CLS::
GetPCNewPanelFormatMain(wxWindow *pCWindow){
    MultiInputPanel_cls *pC = 
	new MultiInputPanel_cls(pCWindow, "Format.Main", TRUE); 

    pC->mTextWidth = 100;

    wxString AstrList[2] = {"Verion 0 (xyz u index)",
			    "Version1 (xyz u value index)"};
    pC->SetChoiceList(2, AstrList);
    pC->CombineConfItem(mCVersion);

    pC->FinishSetting();

    return pC;
}
