// -*- c -*- 
// "clsVolumeSnap.cpp"

#ifndef _STREAMLINE_SNAP_H
#define _STREAMLINE_SNAP_H

#include "clsDataSnap.h"

#include "../COMMON/clsGetPC.h"
#include "../COMMON/clsFileSequenceDual.h"
#include "../WIDGETCTRL/clsWidgetCommon.h"

#include "../../wxWidgetEnumMenu.h"

#include <wx/wx.h>

class StreamlineFormatClone_cls;
class StreamlineSequence_cls;

class StreamlineSnap_cls : public DataSnap_cls {
 public:
    StreamlineSnap_cls(StreamlineSequence_cls *pCParent, int index);
    ~StreamlineSnap_cls();
    void Clear();

    bool mValidData;
    int mFrame;
    wxString mstrFile;
    wxString mstrLoadedFileHeader, mstrLoadedFileBody;

    int mSNum, mAllocatedSize;
    int mMaxIndex;
    float (*mpPos)[3];
    float *mpU;
    float *mpValue; // QUƂĎgǉ
    int   *mpLineIndex;

    bool IsSizeSame(StreamlineSnap_cls* pCTgt);
    wxString GetStrInfo();
    int GetUsedMemoryByte();

    void AllocateIfNot(int SNum);
    void SetStrFile(wxString strFile);
    void SetFrame(int frame);

    bool DefaultData();

    int ReadHeaderAsciiSTREAM(StreamlineFormatClone_cls *pCFormatClone,
			      std::istream &istream);
    int ReadHeaderAscii(StreamlineFormatClone_cls *pCFormatClone);
    int ReadHeaderBinary(StreamlineFormatClone_cls *pCFormatClone);
    bool ReadHeader(StreamlineFormatClone_cls *pCFormatClone);
    bool ReadData(StreamlineFormatClone_cls *pCFormatClone, bool bParallel = FALSE);

    bool PrefetchData(StreamlineFormatClone_cls *pCFormatClone);
};

#endif
