// (setq c-basic-offset 4)
// "clsTimelineWA.cpp"

#ifndef _TIMELINE_WA_H_
#define _TIMELINE_WA_H_

#include "../COMMON/clsGetPC.h"
#include "../COMMON/CommonDefinitionsWX.h"

#include "clsTimelineBase.h"

#include <wx/wx.h>
#include <wx/dcbuffer.h>

class TimelineWA_cls : public TimelineBase_cls {
 public:
    TimelineWA_cls(Timeline_cls *pCParent);

    wxIcon mCIcon, mCIconMin, mCIconMax, mCIconRegion;

    wxBitmap mCBitmapTextBuffer;
    wxMemoryDC mCMemoryDCTextBuffer;
    
    void LimitDragging();
    void DrawStr(wxAutoBufferedPaintDC &dc, int pos, wxString strMes);
    void UpdateDisplay(wxAutoBufferedPaintDC &dc);
    
    void OnPaint(wxPaintEvent& event);
    void OnMouse(wxMouseEvent& event);
    void ProcMouseRelease();

private:
    DECLARE_EVENT_TABLE()
};

#endif
