// -*- c -*- 
// "clsColourDialogEX.cpp"

#ifndef _FILEDIALOG_EX_H_
#define _FILEDIALOG_EX_H_

#include <wx/wx.h>
#include <wx/filedlg.h>

class wxFileDialogEX {
 public:
    wxFileDialogEX(/*wxWindow* parent*/);
    ~wxFileDialogEX();

    wxFileDialog *mpCDialog;

    bool mbLock;

    void MakeDialog(wxWindow *pCParent, int style = wxFD_DEFAULT_STYLE);
    void DestroyDialog();
    void SetMessage(wxString strMes);
    void SetInitPathFull(wxString strPath);
    void SetInitPath(wxString strDir, wxString strFileName = wxT(""));
    void SetWildcard(wxString strWildCard);
    //void SetStyle(long style);
    int ShowModal();
    
    void UnLock();
    wxString GetDirectory();
    wxString GetFileName();
    wxString GetPath();
};

#endif
