// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsPanelBar.cpp"

#ifndef _PANEL_BAR_H
#define _PANEL_BAR_H

#include "wxPanelEX.h"

#define _PANEL_BAR_HIDE_ITEM_MAX 6

class PanelBar_cls : public wxPanelEX {
 public:
    PanelBar_cls(wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDP, const wxSize &size=wxDS, long style=wxTAB_TRAVERSAL);

    static int msAIDHide[_PANEL_BAR_HIDE_ITEM_MAX];
    void ConstructBarItemHideShow(wxBoxSizer *pBoxSizerBar);    
    void ConstructBarItemZoom(wxBoxSizer *pBoxSizerBar);
    void ConstructBarItemDefault(wxBoxSizer *pBoxSizerBar);

    bool mbShowItem;
    void HideItem();
    void ShowItem();
    void ToggleItem();
};

#endif
