
// -*- c -*- 
// "clsDualSlider.cpp"

#ifndef _ICONSELECTOR_PANEL_H_
#define _ICONSELECTOR_PANEL_H_

#include "../clsWidgetCommon.h"
//#include "../EX/clsWidgetEX.h"

#include <wx/wx.h>
#include <wx/dcbuffer.h>
#include <wx/listctrl.h>
#include <vector>

class IconSelector_cls : public wxPanel, public WidgetCommon_cls/*, public WidgetEX_cls*/ {
 public:
    IconSelector_cls(wxWindow *parent, wxWindowID id, 
		     unsigned int initvalue,/*  unsigned int max,*/
		     std::vector < wxString > VstrArt,
		     wxPoint pos = wxDefaultPosition,
		     wxSize size = wxDefaultSize,
		     long style = 0);
    ~IconSelector_cls();
    
    wxSize      mIconSize;
    int mItemWidth, mItemHeight;
    long mStyle;

    wxWindow* GetPWindow();
    void SetItemSize(wxSize itemSize);

    void UpdateDisplay(wxAutoBufferedPaintDC &dc);
    void OnPaint(wxPaintEvent& event);

    int  GetSelected(wxMouseEvent& event);
    void OnMouse(wxMouseEvent& event);

    int  GetValueInt();
    void SetValueInt(int value);

    std::vector < wxString > mVstrArt;
    std::vector < wxString > mVstrTag;
    int mValue;
    int mMax;
    int mFontHeight;
    int mClientWidth, mClientHeight;
    
    void OnKeyDown(wxKeyEvent& event);

    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
