// -*- c -*- 
// "clsTextButton.cpp"

#ifndef _TEXT_BUTTON_H_
#define _TEXT_BUTTON_H_

#include <wx/wx.h>

class TextButton_cls : public wxStaticText {
public:
    TextButton_cls(wxWindow *pCParent, wxWindowID id, wxString initStr);

    wxWindow *mpCEventTarget;
    bool mbPushed;

    void SetEventTarget(wxWindow *pCEventTarget);
    void Push();
    void Pull();
    void PopMenu(wxWindow *pCSrc, wxMenu* pCMenu);
    void OnLeftDown(wxMouseEvent &event);
    void OnRightDown(wxMouseEvent &event);
    void OnEnter(wxMouseEvent &event);
    void OnLeave(wxMouseEvent &event);

    DECLARE_EVENT_TABLE()
};

#endif
