// (setq c-basic-offset 4)
// "clsMultiInputsPanel.cpp"

#ifndef _MULTI_INPUT_PANEL_H_
#define _MULTI_INPUT_PANEL_H_

#include "clsInputItem.h"
#include "../clsWidgetCommon.h"

#include "../../COMMON/CommonDefinitionsWX.h"

#include <wx/wx.h>
#include <wx/scrolwin.h>

#include <vector>

#define _MN_ALLITEM -1

// Öꎞϐɑ΂đ삷Ƃ́A
// fXgN^Ŏg mpCCConfItemLink N؂ɂȂ邱ƂɂđΏ
#define _MN_VOLATILE true  

class ConfItem_cls;
class HookItem_cls;
class HookCtrl_cls;

class MultiInputPanel_cls : public wxScrolled < wxPanel > {
 public:
    MultiInputPanel_cls (wxWindow *parent, wxString strInputPanelTag,
			 bool bVolatile = FALSE);
    ~MultiInputPanel_cls();

    static MultiInputPanel_cls* 
	Initialize(MultiInputPanel_cls **pMNum, wxWindow *pCParent,
		   wxString strPanelName, bool bVolatile = FALSE);

    //wxString mstrInputPanelTag; // wxWindowname@\őpł邩
    wxBoxSizer *mpCBoxSizerSrc;
    wxSizerItem *mpCPadding;
    HookCtrl_cls *mpCHookCtrl;
    
    bool mbVolatile;
    bool mbUseStatus;
    wxWindow *mpCStatusLink;
    int mMinWidth, mTextWidth;
    
    int mContextMenuType;
    bool mbItemVolatile;
    bool mbLimit;
    double mMin, mMax;
    double mDragScale;

    int mItemSize;
    std::vector < InputItem_cls > mVCItem;
    int  GetItemId(int index);
    InputItem_cls& GetRefCItem(int id);

    void SetColorForXYZMinMax(unsigned int indexX, unsigned int indexY, unsigned int indexZ);
    void SetColorForXYZ(unsigned int index);
    
    std::vector < wxString > mVstrChoiceList;
    InputItem_cls* GetPCInputItem(ConfItem_cls *pCConf);
    int  CombineSizer(int itemNum, 
		      wxString strLabel = wxES, bool bEnable = TRUE);
    void SetLimit(double min, double max);
    void SetChoiceList(unsigned int listMax, wxString *pstrChoice);
    void ClearItemProperty();
    int  CombineConfItem(ConfItem_cls& CConfItem,
			 wxString strLabel = wxES, bool bEnable = TRUE);
    int  CombineButton(int id, wxString strLabel, 
		       int width = -1, bool bEnable = TRUE);
    int  CombineBitmapPanel(int id, wxString strLabel,
			    int width = -1, bool bEnable = TRUE);
    void CombineToDummy(int index, ConfItem_cls& CConfItem);

    void SetHook(HookItem_cls *pCInstance,
		 void (HookItem_cls::*pFunc)(wxCommandEvent& event),
		 int type, int index = wxID_ANY, wxString strCommand = wxES);
    
    /*
    void SetHookItem(HookItem_cls *pCInstance,
		     void (HookItem_cls::*pFunc)(int id, void*),
		     int type, int index, void *pArg);
    */
    void SetItemSTR(int index, wxString strValue);

    void SyncFromGUI();
    void OnItemChange(wxCommandEvent& event);
    void OnBtnRight(wxMouseEvent& event);
        
    wxBoxSizer* GetPNewSizer(wxBoxSizer *pBoxSizerSrc, InputItem_cls &CItem);
    void MakeGeometry();

    void FinishSetting();

    void UpdateValues(int index);

    int mActiveButtonIDForMenu;
    void OnMenuCommand(wxCommandEvent& event);

    DECLARE_EVENT_TABLE()
};

#endif
