// (setq c-basic-offset 4)
// "clsTextEntryMarkup.cpp"

#ifndef _TEXT_ENTRY_MARKUP_H_
#define _TEXT_ENTRY_MARKUP_H_

#include <wx/wx.h>

class wxRichTextCtrl;

class TextEntryMarkup_cls {
 public:
    TextEntryMarkup_cls();

    wxRichTextCtrl *mpCTextCtrlLink;
    wxTimer mCTimerMarkup;
    bool mbMarkParenthesis;
    int mMarked;
    wxTextAttr mCTextAttrMarkupBefore, mCTextAttrMarkup;

    void SetPMarkupRichTextCtrl(wxRichTextCtrl *pCTextCtrl);
    
    void ProcessParensesis();
    void ClearMark();

    void ProcMarkupCharHook();
    void ProcMarkupChar(wxKeyEvent &event);
    void ProcMarkupTimer();
    void ProcMarkupIdle();
};

#endif
