// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsFontProvider.h"

#include "clsSizeAdjuster.h"

wxRect SizeAdjuster_cls::
GetCRectWindowFitting(wxRect COrg){
    wxRect rect = wxGetClientDisplayRect();

    printf("%d %d %d %d\n", COrg.GetLeft(), COrg.GetRight(), COrg.GetTop(), COrg.GetBottom());
    printf("%d %d %d %d\n", rect.GetLeft(), rect.GetRight(), rect.GetTop(), rect.GetBottom());

    if (COrg.GetRight() > rect.GetRight()){
	int offsetX = COrg.GetRight() - rect.GetRight();
	if (offsetX > COrg.GetLeft()) offsetX = COrg.GetLeft();
	COrg.Offset(-offsetX, 0);
    }
    if (COrg.GetBottom() > rect.GetBottom()){
	int offsetY = COrg.GetBottom() - rect.GetBottom();
	if (offsetY > COrg.GetTop()) offsetY = COrg.GetTop();
	COrg.Offset(0, -offsetY);
	printf("offsetY = %d\n", offsetY);
    }

    if (COrg.GetLeft() < rect.GetLeft()){
	int offsetX = rect.GetLeft() - COrg.GetLeft();
	COrg.Offset(offsetX, 0);
    }

    
    if (COrg.GetRight() > rect.GetRight()){
	int deflateX = COrg.GetRight() - rect.GetRight();
	COrg.Deflate(deflateX, 0);
    }
    if (COrg.GetBottom() > rect.GetBottom()){
	int deflateY = COrg.GetBottom() - rect.GetBottom();
	COrg.Deflate(0, deflateY);
    }
    
    return COrg;
}

void SizeAdjuster_cls::
AdjustWindowFitting(wxWindow *pCWindow){
    wxRect CRect = pCWindow->GetScreenRect();
    AdjustWindowFitting(pCWindow, CRect);
}

void SizeAdjuster_cls::
AdjustWindowFitting(wxWindow *pCWindow, wxRect CRect){
        
    CRect = GetCRectWindowFitting(CRect);

    pCWindow->SetSize(CRect);

    printf("Final Pos=%d %d\n", CRect.GetLeft(), CRect.GetTop());
}

SizeAdjuster_cls *GpCSizeAdjuster = NULL;
