// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsStringProvider.cpp"

#ifndef _STRING_PROVIDER_H_
#define _STRING_PROVIDER_H_

#include <wx/wx.h>

#include "../../COMMON/CommonDefinitionsShader.h"

#define _PRIMITIVE_MAX   6
#define _MAX_DEFAULT_KEY 5
#define _FOCAL_BLUR_MAX  4 // clsFocalBlurProp.h

class StringProvider_cls{
 public:
    StringProvider_cls();
    
    wxString AstrKeyFrameType[3];
    wxString AstrPrimitiveType[_PRIMITIVE_MAX];
    wxString AstrCameraType[7];
    wxString AstrFocalBlurType[_FOCAL_BLUR_MAX];
    wxString AstrStereoType[3];
    wxString AstrEyeType[8];
    wxString AstrBufferSize[7];
    wxString AstrFogType[4];
    wxString AstrShaderObject[6];
    wxString AstrShaderParticlePoint[_MAX_POINTSHADER];
    wxString AstrShaderParticleSphere[_MAX_SPHERESHADER];
    wxString AstrShaderParticleBillboard[_MAX_BILLBOARDSHADER];
    wxString AstrShaderDissolve[3];
    wxString AstrBlend[3];
    wxString AstrInterp[5];
    wxString AstrTextCtrl[2];
    wxString AstrDefaultKey[_MAX_DEFAULT_KEY];
    wxString AstrHFChannel[5];
    
    int GetIndexFromStr(wxString strTag, wxString strItem);
    wxString GetStrMenu(wxString strTag);
    wxString GetStrTextCtrl(wxString strTag);
    wxString* GetAstr(wxString strTag);
    wxArrayString GetArrayString(wxString strTag);
};

#endif
