// -*- c++ -*-
// "clsWidgetCommon.cpp"

#ifndef _WIDGET_COMMON_H
#define _WIDGET_COMMON_H

#include <wx/wx.h>

#define wxCEH wxCommandEventHandler
#define wxES wxEmptyString

class WidgetCommon_cls {
public:
    wxCommandEvent GetMenuCommand(int Id);
    void SendEvent(wxWindow *pC, int type, int ID);
    void SendRbnEvent(wxWindow *pC, int ID);
    void SendRbnEventDropdown(wxWindow *pC, int ID);
    void SendMenuEvent(wxWindow *pC, int ID);
    void SendBtnEvent(wxWindow *pC, int ID);
    void SendBtnEventInt(wxWindow *pC, int ID, int commandInt);
    void SendBtnEventIntStr(wxWindow *pC, int ID, int commandInt, 
			    wxString commandStr);
    /*
    void SendEvent(wxWindow *pC, int type, int ID);
    void SendEventToTop(wxWindow *pC, int type, int ID);
(    void SendMenuEventToTop(wxWindow *pC, int ID, wxString strCmd = wxES);
    void SendEventToTopParent(wxWindow *pC, int type, int ID);
    void SendRbnEvent(wxWindow *pC, int type, int ID);
    void SendKeyEvent(wxWindow *pC, wxKeyEvent& event);
    void SendKeyEventToTop(wxWindow *pC, wxKeyEvent& event);
    void SendMenuEvent(wxWindow *pC, int ID);
    void SendButtonEvent(wxWindow *pC, int ID);
    void SendMouseEvent(wxWindow *pC, wxMouseEvent& com);
    void SendMouseEvent(wxWindow *pC, int type, int ID);

    void ConnectButton(wxWindow *pCThis, wxWindow *pC, wxObjectEventFunction func);
    
    wxBoxSizer *GetPSizerStaticTextVCenter(wxWindow *pCParent, wxString strTag);
    */
};

#endif
