// -*- c -*-
// (setq c-basic-offset 4)

#include "main.h"

#define MAX_LOADSTRING 100

#include <wx/wxprec.h>
#ifdef __BORLANDC__
#pragma hdrstop
#endif

#include "clsMain.h"
#include "clsFrameMain.h"

IMPLEMENT_APP(MyApp)

#include "SRC/COMMON/CommonDefinitions.h"

MyApp::
MyApp() : locale(wxLANGUAGE_DEFAULT) {
}

bool MyApp::OnInit()
{
    //locale.Init(wxLANGUAGE_DEFAULT);
    //locale.Init(wxLANGUAGE_ENGLISH);
    locale.AddCatalogLookupPathPrefix(_T("."));
    locale.AddCatalogLookupPathPrefix(_T("./locale"));
    locale.AddCatalog(_T("Zindaiji4"));
    
    //摜悤ɂ
    wxImage::AddHandler(new wxPNGHandler());
    wxImage::AddHandler(new wxJPEGHandler());
    wxImage::AddHandler(new wxTIFFHandler());

    pCMain = new Main_cls;
    
    //pCMain->mVpCFrame[0]->Show(TRUE);
    //SetTopWindow(pCMain->mVpCFrame[0]);

    return true;
}

int MyApp::
OnExit(){
    delete pCMain;
    return 0;
}

MyApp::
~MyApp(){
}

